Media parameters

Controlling media parameters. More...

## Data Structures

struct | _LinphoneVideoPolicy
| Structure describing policy regarding video streams establishments. More...

## Macros

#define | LINPHONE_VIDEO_DISPLAY_AUTO (void *)((unsigned long)0)
| For MacOS, Linux, Windows: core will create its own window.
#define | LINPHONE_VIDEO_DISPLAY_NONE (void *)((unsigned long)-1)
| For MacOS, Linux, Windows: do nothing.
#define | LINPHONE_FIND_PAYLOAD_IGNORE_RATE -1
| Wildcard value used by linphone_core_find_payload_type() to ignore rate in search algorithm.
#define | LINPHONE_FIND_PAYLOAD_IGNORE_CHANNELS -1
| Wildcard value used by linphone_core_find_payload_type() to ignore channel in search algorithm.

## Typedefs

typedef struct _LinphoneVideoActivationPolicy | LinphoneVideoActivationPolicy
| Object describing policy regarding video streams establishments.
typedef struct _LinphoneVideoDefinition | LinphoneVideoDefinition
| This object represents a video definition, eg.
typedef enum _LinphoneAVPFMode | LinphoneAVPFMode
| Enum describing RTP AVPF activation modes.
typedef enum _LinphoneEcCalibratorStatus | LinphoneEcCalibratorStatus
| Enum describing the result of the echo canceller calibration process.
typedef enum _LinphoneMediaResourceMode | LinphoneMediaResourceMode
| Media resource usage.
typedef enum _LinphoneMediaEncryption | LinphoneMediaEncryption
| Enum describing type of media encryption types.
typedef enum _LinphoneSrtpSuite | LinphoneSrtpSuite
| Enum describing type of SRTP encryption suite.
typedef enum _LinphoneZrtpPeerStatus | LinphoneZrtpPeerStatus
| Enum describing the ZRTP SAS validation status of a peer URI.
typedef enum _LinphoneZrtpKeyAgreement | LinphoneZrtpKeyAgreement
| Enum describing the ZRTP key exchange algorithns.
typedef struct _LinphoneVideoPolicy | LinphoneVideoPolicy
| Structure describing policy regarding video streams establishments.
typedef struct _LinphonePayloadType | LinphonePayloadType
| Object representing an RTP payload type.
typedef enum _LinphoneCodecPriorityPolicy | LinphoneCodecPriorityPolicy
| Codec priority policies.

## Enumerations

enum | _LinphoneAVPFMode { LinphoneAVPFDefault = -1 , LinphoneAVPFDisabled = 0 , LinphoneAVPFEnabled = 1 }
| Enum describing RTP AVPF activation modes. More...
enum | _LinphoneEcCalibratorStatus { LinphoneEcCalibratorInProgress = 0 , LinphoneEcCalibratorDone , LinphoneEcCalibratorFailed = 2 , LinphoneEcCalibratorDoneNoEcho }
| Enum describing the result of the echo canceller calibration process. More...
enum | _LinphoneMediaResourceMode { LinphoneExclusiveMediaResources = 0 , LinphoneSharedMediaResources = 1 }
| Media resource usage. More...
enum | _LinphoneMediaEncryption { LinphoneMediaEncryptionNone = 0 , LinphoneMediaEncryptionSRTP = 1 , LinphoneMediaEncryptionZRTP = 2 , LinphoneMediaEncryptionDTLS = 3 }
| Enum describing type of media encryption types. More...
enum | _LinphoneSrtpSuite { LinphoneSrtpSuiteAESCM128HMACSHA180 = 0 , LinphoneSrtpSuiteAESCM128HMACSHA132 = 1 , LinphoneSrtpSuiteAES192CMHMACSHA180 = 2 , LinphoneSrtpSuiteAES192CMHMACSHA132 = 3 , LinphoneSrtpSuiteAES256CMHMACSHA180 = 4 , LinphoneSrtpSuiteAES256CMHMACSHA132 = 5 , LinphoneSrtpSuiteAEADAES128GCM = 6 , LinphoneSrtpSuiteAEADAES256GCM = 7 , LinphoneSrtpSuiteInvalid = 0xFF }
| Enum describing type of SRTP encryption suite.
enum | _LinphoneZrtpPeerStatus { LinphoneZrtpPeerStatusUnknown = 0 , LinphoneZrtpPeerStatusInvalid = 1 , LinphoneZrtpPeerStatusValid = 2 }
| Enum describing the ZRTP SAS validation status of a peer URI. More...

enum

_LinphoneZrtpKeyAgreement {
LinphoneZrtpKeyAgreementInvalid = 0 ,
LinphoneZrtpKeyAgreementDh2k = 1 ,
LinphoneZrtpKeyAgreementDh3k = 2 ,
LinphoneZrtpKeyAgreementEc25 = 3 ,
LinphoneZrtpKeyAgreementEc38 = 4 ,
LinphoneZrtpKeyAgreementEc52 = 5 ,
LinphoneZrtpKeyAgreementX255 = 6 ,
LinphoneZrtpKeyAgreementX448 = 7 ,
LinphoneZrtpKeyAgreementK255 = 8 ,
LinphoneZrtpKeyAgreementK448 = 9 ,
LinphoneZrtpKeyAgreementKyb1 = 10 ,
LinphoneZrtpKeyAgreementKyb2 = 11 ,
LinphoneZrtpKeyAgreementKyb3 = 12 ,
LinphoneZrtpKeyAgreementHqc1 = 13 ,
LinphoneZrtpKeyAgreementHqc2 = 14 ,
LinphoneZrtpKeyAgreementHqc3 = 15 ,
LinphoneZrtpKeyAgreementK255Kyb512 = 16 ,
LinphoneZrtpKeyAgreementK255Hqc128 = 17 ,
LinphoneZrtpKeyAgreementK448Kyb1024 = 18 ,
LinphoneZrtpKeyAgreementK448Hqc256 = 19 ,
LinphoneZrtpKeyAgreementK255Kyb512Hqc128 = 20 ,
LinphoneZrtpKeyAgreementK448Kyb1024Hqc256 = 21
}

| Enum describing the ZRTP key exchange algorithns.
enum | _LinphoneCodecPriorityPolicy { LinphoneCodecPriorityPolicyBasic , LinphoneCodecPriorityPolicyAuto }
| Codec priority policies. More...

## Functions

bool_t | linphone_call_params_tone_indications_enabled (const LinphoneCallParams *params)
| Check if tone indications are enabled.
void | linphone_call_params_enable_tone_indications (LinphoneCallParams *params, bool_t enable)
| Define whether tone indications are enabled.
bool_t | linphone_call_params_capability_negotiation_reinvite_enabled (const LinphoneCallParams *params)
| Check if the capability negotiation (RFC5939) reINVITE is enabled or not.
void | linphone_call_params_enable_capability_negotiation_reinvite (LinphoneCallParams *params, bool_t enable)
| Define whether capability negotiation (RFC5939) reINVITE is enabled.
bool_t | linphone_call_params_capability_negotiations_enabled (const LinphoneCallParams *params)
| Indicates whether capability negotiations (RFC5939) is enabled.
bool_t | linphone_call_params_cfg_lines_merged (const LinphoneCallParams *params)
| Indicates whether cfg lines with consecutive indexes are going to be merged or not if capability negotiations (RFC5939) is enabled.
bool_t | linphone_call_params_tcap_lines_merged (const LinphoneCallParams *params)
| Indicates whether tcap lines with consecutive indexes are going to be merged or not if capability negotiations (RFC5939) is enabled.
bool_t | linphone_call_params_is_media_encryption_supported (const LinphoneCallParams *params, const LinphoneMediaEncryption encryption)
| Returns the encryption is supported.
bctbx_list_t * | linphone_call_params_get_supported_encryptions (const LinphoneCallParams *params)
| Returns the list of supported encryptions in the call.
bctbx_list_t * | linphone_call_params_get_srtp_suites (const LinphoneCallParams *call_params)
| Returns the list of enable srtp suite in the call (enforced only if SDES is the selected encryption mode)
void | linphone_call_params_set_srtp_suites (LinphoneCallParams *call_params, bctbx_list_t *srtpSuites)
| Sets the list of srtp suite enabled(enforced only when SDES is the encryption mode)
void | linphone_call_params_enable_audio_multicast (LinphoneCallParams *params, bool_t yesno)
| Use to enable multicast rtp for audio stream.
bool_t | linphone_call_params_audio_multicast_enabled (const LinphoneCallParams *params)
| Use to get multicast state of audio stream.
void | linphone_call_params_enable_video_multicast (LinphoneCallParams *params, bool_t yesno)
| Use to enable multicast rtp for video stream.
bool_t | linphone_call_params_video_multicast_enabled (const LinphoneCallParams *params)
| Use to get multicast state of video stream.
LinphoneStatus | linphone_call_params_enable_realtime_text (LinphoneCallParams *params, bool_t yesno)
| Use to enable real time text following rfc4103.
bool_t | linphone_call_params_realtime_text_enabled (const LinphoneCallParams *params)
| Use to get real time text following rfc4103.
void | linphone_call_params_set_realtime_text_keepalive_interval (LinphoneCallParams *params, unsigned int interval)
| Use to set keep alive interval for real time text following rfc4103.
unsigned int | linphone_call_params_get_realtime_text_keepalive_interval (const LinphoneCallParams *params)
| Use to get keep alive interval of real time text following rfc4103.
void | linphone_call_params_add_custom_sdp_attribute (LinphoneCallParams *params, const char *attribute_name, const char *attribute_value)
| Add a custom attribute related to all the streams in the SDP exchanged within SIP messages during a call.
void | linphone_call_params_add_custom_sdp_media_attribute (LinphoneCallParams *params, LinphoneStreamType type, const char *attribute_name, const char *attribute_value)
| Add a custom attribute related to a specific stream in the SDP exchanged within SIP messages during a call.
bool_t | linphone_call_params_has_custom_sdp_attribute (const LinphoneCallParams *params, const char *attribute_name)
| Returns TRUE if a custom SDP attribute that is related to all the streams is present.
const char * | linphone_call_params_get_custom_sdp_attribute (const LinphoneCallParams *params, const char *attribute_name)
| Get a custom SDP attribute that is related to all the streams.
bool_t | linphone_call_params_has_custom_sdp_media_attribute (const LinphoneCallParams *params, LinphoneStreamType type, const char *attribute_name)
| Indicates whether a custom SDP attribute that is related to a specific stream is present or not.
const char * | linphone_call_params_get_custom_sdp_media_attribute (const LinphoneCallParams *params, LinphoneStreamType type, const char *attribute_name)
| Get a custom SDP attribute that is related to a specific stream.
void | linphone_call_params_clear_custom_sdp_attributes (LinphoneCallParams *params)
| Clear the custom SDP attributes related to all the streams in the SDP exchanged within SIP messages during a call.
void | linphone_call_params_clear_custom_sdp_media_attributes (LinphoneCallParams *params, LinphoneStreamType type)
| Clear the custom SDP attributes related to a specific stream in the SDP exchanged within SIP messages during a call.
bctbx_list_t * | linphone_call_params_get_custom_contents (const LinphoneCallParams *params)
| Gets a list of LinphoneContent set if exists.
void | linphone_call_params_add_custom_content (LinphoneCallParams *params, LinphoneContent *content)
| Adds a LinphoneContent to be added to the INVITE SDP.
bool_t | linphone_call_params_rtp_bundle_enabled (const LinphoneCallParams *params)
| Indicates whether RTP bundle mode (also known as Media Multiplexing) is enabled.
MS2_DEPRECATED void | linphone_call_params_enable_rtp_bundle (LinphoneCallParams *params, bool_t value)
| Enables or disables RTP bundle mode (Media Multiplexing).
void | linphone_call_params_enable_mic (LinphoneCallParams *params, bool_t enable)
| Enable or disable the microphone at the call creation.
bool_t | linphone_call_params_mic_enabled (const LinphoneCallParams *params)
| Tells whether the microphone will be enabled when the call will be created.
MS2_DEPRECATED bool_t | linphone_call_params_is_capability_negotiation_reinvite_enabled (const LinphoneCallParams *params)
| Check if the capability negotiation (RFC5939) reINVITE is enabled or not.
bool_t | linphone_core_retransmission_on_nack_enabled (LinphoneCore *core)
| Tells whether NACK context is enabled or not.
void | linphone_core_enable_retransmission_on_nack (LinphoneCore *core, bool_t enable)
| Turns NACK context on or off.
void | linphone_core_set_download_bandwidth (LinphoneCore *core, int bandwidth)
| Sets maximum available download bandwidth This is IP bandwidth, in kbit/s.
void | linphone_core_set_upload_bandwidth (LinphoneCore *core, int bandwidth)
| Sets maximum available upload bandwidth This is IP bandwidth, in kbit/s.
void | linphone_core_set_expected_bandwidth (LinphoneCore *core, int bandwidth)
| Sets expected available upload bandwidth This is IP bandwidth, in kbit/s.
int | linphone_core_get_download_bandwidth (const LinphoneCore *core)
| Retrieve the maximum available download bandwidth.
int | linphone_core_get_upload_bandwidth (const LinphoneCore *core)
| Retrieve the maximum available upload bandwidth.
void | linphone_core_enable_adaptive_rate_control (LinphoneCore *core, bool_t enabled)
| Enable adaptive rate control.
bool_t | linphone_core_adaptive_rate_control_enabled (const LinphoneCore *core)
| Returns whether adaptive rate control is enabled.
void | linphone_core_set_adaptive_rate_algorithm (LinphoneCore *core, const char *algorithm)
| Sets adaptive rate algorithm.
const char * | linphone_core_get_adaptive_rate_algorithm (const LinphoneCore *core)
| Returns which adaptive rate algorithm is currently configured for future calls.
void | linphone_core_set_download_ptime (LinphoneCore *core, int ptime)
| Set audio packetization time linphone expects to receive from peer.
int | linphone_core_get_download_ptime (LinphoneCore *core)
| Get audio packetization time linphone expects to receive from peer.
void | linphone_core_set_upload_ptime (LinphoneCore *core, int ptime)
| Set audio packetization time linphone will send (in absence of requirement from peer) A value of 0 stands for the current codec default packetization time.
int | linphone_core_get_upload_ptime (LinphoneCore *core)
| Set audio packetization time linphone will send (in absence of requirement from peer) A value of 0 stands for the current codec default packetization time.
void | linphone_core_set_sip_transport_timeout (LinphoneCore *core, int timeout_ms)
| Set the SIP transport timeout, which represents the maximum time permitted to establish a connection to a SIP server.
int | linphone_core_get_sip_transport_timeout (LinphoneCore *core)
| Get the SIP transport timeout, which represents the maximum time permitted to establish a connection to a SIP server.
void | linphone_core_enable_dns_srv (LinphoneCore *core, bool_t enable)
| Enable or disable DNS SRV resolution.
bool_t | linphone_core_dns_srv_enabled (const LinphoneCore *core)
| Tells whether DNS SRV resolution is enabled.
void | linphone_core_enable_dns_search (LinphoneCore *core, bool_t enable)
| Enable or disable DNS search (use of local domain if the fully qualified name did return results).
bool_t | linphone_core_dns_search_enabled (const LinphoneCore *core)
| Tells whether DNS search (use of local domain if the fully qualified name did return results) is enabled.
bool_t | linphone_core_get_dns_set_by_app (LinphoneCore *core)
| Tells if the DNS was set by an application.
void | linphone_core_set_dns_servers_app (LinphoneCore *core, const bctbx_list_t *servers)
| Forces liblinphone to use the supplied list of dns servers, instead of system's ones and set dns_set_by_app at true or false according to value of servers list.
void | linphone_core_set_dns_servers (LinphoneCore *core, const bctbx_list_t *servers)
| Forces liblinphone to use the supplied list of dns servers, instead of system's ones.
bctbx_list_t * | linphone_core_get_audio_payload_types (LinphoneCore *core)
| Return the list of the available audio payload types.
void | linphone_core_set_audio_payload_types (LinphoneCore *core, const bctbx_list_t *payload_types)
| Redefine the list of the available payload types.
bctbx_list_t * | linphone_core_get_video_payload_types (LinphoneCore *core)
| Return the list of the available video payload types.
void | linphone_core_set_video_payload_types (LinphoneCore *core, const bctbx_list_t *payload_types)
| Redefine the list of the available video payload types.
void | linphone_core_set_video_codec_priority_policy (LinphoneCore *core, LinphoneCodecPriorityPolicy policy)
| Set the priority policy for video codecs (payload types).
LinphoneCodecPriorityPolicy | linphone_core_get_video_codec_priority_policy (const LinphoneCore *core)
| Get the current priority policy for video codecs (payload types).
bctbx_list_t * | linphone_core_get_text_payload_types (LinphoneCore *core)
| Return the list of the available text payload types.
void | linphone_core_set_text_payload_types (LinphoneCore *core, const bctbx_list_t *payload_types)
| Redefine the list of the available payload types.
void | linphone_core_enable_generic_comfort_noise (LinphoneCore *core, bool_t enabled)
| Enable RFC3389 generic comfort noise algorithm (CN payload type).
bool_t | linphone_core_generic_comfort_noise_enabled (const LinphoneCore *core)
| Returns enablement of RFC3389 generic comfort noise algorithm.
LinphonePayloadType * | linphone_core_get_payload_type (LinphoneCore *core, const char *type, int rate, int channels)
| Get payload type from mime type and clock rate.
void | linphone_core_enable_audio_adaptive_jittcomp (LinphoneCore *core, bool_t enable)
| Enable or disable the audio adaptive jitter compensation.
bool_t | linphone_core_audio_adaptive_jittcomp_enabled (LinphoneCore *core)
| Tells whether the audio adaptive jitter compensation is enabled.
int | linphone_core_get_audio_jittcomp (LinphoneCore *core)
| Returns the nominal audio jitter buffer size in milliseconds.
void | linphone_core_set_audio_jittcomp (LinphoneCore *core, int milliseconds)
| Sets the nominal audio jitter buffer size in milliseconds.
void | linphone_core_enable_video_adaptive_jittcomp (LinphoneCore *core, bool_t enable)
| Enable or disable the video adaptive jitter compensation.
bool_t | linphone_core_video_adaptive_jittcomp_enabled (LinphoneCore *core)
| Tells whether the video adaptive jitter compensation is enabled.
int | linphone_core_get_video_jittcomp (LinphoneCore *core)
| Returns the nominal video jitter buffer size in milliseconds.
void | linphone_core_set_video_jittcomp (LinphoneCore *core, int milliseconds)
| Sets the nominal video jitter buffer size in milliseconds.
int | linphone_core_get_nortp_timeout (const LinphoneCore *core)
| Gets the value of the no-rtp timeout.
int | linphone_core_get_nortp_onhold_timeout (const LinphoneCore *core)
| Gets the value of the no-rtp timeout when the call is on hold.
void | linphone_core_set_audio_port_range (LinphoneCore *core, int min_port, int max_port)
| Sets the UDP port range from which to randomly select the port used for audio streaming.
void | linphone_core_set_video_port_range (LinphoneCore *core, int min_port, int max_port)
| Sets the UDP port range from which to randomly select the port used for video streaming.
void | linphone_core_set_text_port_range (LinphoneCore *core, int min_port, int max_port)
| Sets the UDP port range from which to randomly select the port used for text streaming.
void | linphone_core_set_nortp_timeout (LinphoneCore *core, int seconds)
| Sets the no-rtp timeout value in seconds.
void | linphone_core_set_nortp_onhold_timeout (LinphoneCore *core, int seconds)
| Sets the no-rtp timeout value in seconds when the call is on hold.
void | linphone_core_set_use_info_for_dtmf (LinphoneCore *core, bool_t use_info)
| Sets whether SIP INFO is to be used to send digits.
bool_t | linphone_core_get_use_info_for_dtmf (LinphoneCore *core)
| Indicates whether SIP INFO is used to send digits.
void | linphone_core_set_use_rfc2833_for_dtmf (LinphoneCore *core, bool_t use_rfc2833)
| Sets whether RFC2833 is to be used to send digits.
bool_t | linphone_core_get_use_rfc2833_for_dtmf (LinphoneCore *core)
| Indicates whether RFC2833 is used to send digits.
bctbx_list_t * | linphone_core_get_sound_devices_list (const LinphoneCore *core)
| Gets the list of the available sound devices.
void | linphone_core_reload_sound_devices (LinphoneCore *core)
| Update detection of sound devices.
void | linphone_core_set_mic_gain_db (LinphoneCore *core, float level)
| Allow to control microphone level: gain in db.
float | linphone_core_get_mic_gain_db (LinphoneCore *core)
| Get microphone gain in db.
void | linphone_core_set_disable_record_on_mute (LinphoneCore *core, bool_t disable)
| Calling this method with disable=true will cause the microhone to be completely deactivated when muted, when given possible by the implementation on the platform on which liblinphone is running.
bool_t | linphone_core_get_disable_record_on_mute (LinphoneCore *core)
| Get whether the microphone will be completely deactivated when muted.
void | linphone_core_set_playback_gain_db (LinphoneCore *core, float level)
| Allow to control play level before entering sound card: gain in db.
float | linphone_core_get_playback_gain_db (LinphoneCore *core)
| Get playback gain in db before entering sound card.
const char * | linphone_core_get_ringer_device (LinphoneCore *core)
| Gets the name of the currently assigned sound device for ringing.
const char * | linphone_core_get_playback_device (LinphoneCore *core)
| Gets the name of the currently assigned sound device for playback.
const char * | linphone_core_get_capture_device (LinphoneCore *core)
| Gets the name of the currently assigned sound device for capture.
const char * | linphone_core_get_media_device (LinphoneCore *core)
| Gets the name of the currently assigned sound device for media.
LinphoneStatus | linphone_core_set_ringer_device (LinphoneCore *core, const char *devid)
| Sets the sound device used for ringing.
LinphoneStatus | linphone_core_set_playback_device (LinphoneCore *core, const char *devid)
| Sets the sound device used for playback.
LinphoneStatus | linphone_core_set_capture_device (LinphoneCore *core, const char *devid)
| Sets the sound device used for capture.
LinphoneStatus | linphone_core_set_media_device (LinphoneCore *core, const char *devid)
| Sets the sound device used for media.
void | linphone_core_stop_ringing (LinphoneCore *core)
| Whenever the liblinphone is playing a ring to advertise an incoming call or ringback of an outgoing call, this function stops the ringing.
void | linphone_core_set_ring (LinphoneCore *core, const char *path)
| Sets the path to a wav file used for ringing.
const char * | linphone_core_get_ring (const LinphoneCore *core)
| Returns the path to the wav file used for ringing.
void | linphone_core_set_native_ringing_enabled (LinphoneCore *core, bool_t enable)
| Sets whether to use the native ringing (Android only).
void | linphone_core_enable_native_ringing (LinphoneCore *core, bool_t enable)
| Sets whether to use the native ringing (Android only).
bool_t | linphone_core_is_native_ringing_enabled (const LinphoneCore *core)
| Returns whether the native ringing is enabled or not.
bool_t | linphone_core_native_ringing_enabled (const LinphoneCore *core)
| Returns whether the native ringing is enabled or not.
void | linphone_core_set_ringback (LinphoneCore *core, const char *path)
| Sets the path to a wav file used for ringing back.
const char * | linphone_core_get_ringback (const LinphoneCore *core)
| Returns the path to the wav file used for ringing back.
void | linphone_core_set_remote_ringback_tone (LinphoneCore *core, const char *ring)
| Specify a ring back tone to be played to far end during incoming calls.
const char * | linphone_core_get_remote_ringback_tone (const LinphoneCore *core)
| Get the ring back tone played to far end during incoming calls.
void | linphone_core_set_ring_during_incoming_early_media (LinphoneCore *core, bool_t enable)
| Enable or disable the ring play during an incoming early media call.
bool_t | linphone_core_get_ring_during_incoming_early_media (const LinphoneCore *core)
| Tells whether the ring play is enabled during an incoming early media call.
void | linphone_core_enable_echo_cancellation (LinphoneCore *core, bool_t enable)
| Enables or disable echo cancellation.
void | linphone_core_reset_echo_cancellation_calibration (LinphoneCore *core)
| Clears all state resulting from a previous echo canceller calibration procedure, which restores default policy and settings for echo cancellation.
int | linphone_core_get_echo_cancellation_calibration (const LinphoneCore *core)
| Gets the currently stored calibration delay for the software echo cancellation.
bool_t | linphone_core_echo_cancellation_enabled (const LinphoneCore *core)
| Returns TRUE if echo cancellation is enabled.
void | linphone_core_enable_echo_limiter (LinphoneCore *core, bool_t enable)
| Enables or disable echo limiter.
bool_t | linphone_core_echo_limiter_enabled (const LinphoneCore *core)
| Tells whether echo limiter is enabled.
void | linphone_core_enable_agc (LinphoneCore *core, bool_t val)
| Enable the experimental software Automatic Gain Control.
bool_t | linphone_core_agc_enabled (const LinphoneCore *core)
| Tells whether the experimental software Automatic Gain Control is activated.
void | linphone_core_enable_mic (LinphoneCore *core, bool_t enable)
| Enable or disable the microphone.
bool_t | linphone_core_mic_enabled (LinphoneCore *core)
| Tells whether the microphone is enabled.
bool_t | linphone_core_video_enabled (LinphoneCore *core)
| Returns TRUE if either capture or display is enabled, FALSE otherwise.
void | linphone_core_enable_video_capture (LinphoneCore *core, bool_t enable)
| Enable or disable video capture.
void | linphone_core_enable_video_display (LinphoneCore *core, bool_t enable)
| Enable or disable video display.
void | linphone_core_enable_video_source_reuse (LinphoneCore *core, bool_t enable)
| Enable or disable video source reuse when switching from preview to actual video call.
bool_t | linphone_core_video_capture_enabled (LinphoneCore *core)
| Tells whether video capture is enabled.
bool_t | linphone_core_video_display_enabled (LinphoneCore *core)
| Tells whether video display is enabled.
LinphoneVideoActivationPolicy * | linphone_video_activation_policy_ref (LinphoneVideoActivationPolicy *policy)
| Increment refcount.
void | linphone_video_activation_policy_unref (LinphoneVideoActivationPolicy *policy)
| Decrement refcount and possibly free the object.
void * | linphone_video_activation_policy_get_user_data (const LinphoneVideoActivationPolicy *policy)
| Gets the user data in the LinphoneVideoActivationPolicy object.
void | linphone_video_activation_policy_set_user_data (LinphoneVideoActivationPolicy *policy, void *user_data)
| Sets the user data in the LinphoneVideoActivationPolicy object.
bool_t | linphone_video_activation_policy_get_automatically_accept (const LinphoneVideoActivationPolicy *policy)
| Gets the value for the automatically accept video policy.
bool_t | linphone_video_activation_policy_get_automatically_initiate (const LinphoneVideoActivationPolicy *policy)
| Gets the value for the automatically initiate video policy.
void | linphone_video_activation_policy_set_automatically_accept (LinphoneVideoActivationPolicy *policy, bool_t enable)
| Sets the value for the automatically accept video policy.
void | linphone_video_activation_policy_set_automatically_initiate (LinphoneVideoActivationPolicy *policy, bool_t enable)
| Sets the value for the automatically initiate video policy.
void | linphone_core_set_video_activation_policy (LinphoneCore *core, const LinphoneVideoActivationPolicy *policy)
| Sets the default policy for video.
LinphoneVideoActivationPolicy * | linphone_core_get_video_activation_policy (const LinphoneCore *core)
| Get the default policy for video.
void | linphone_core_set_preferred_video_definition (LinphoneCore *core, LinphoneVideoDefinition *video_definition)
| Set the preferred video definition for the stream that is captured and sent to the remote party.
void | linphone_core_set_preferred_video_definition_by_name (LinphoneCore *core, const char *name)
| Sets the preferred video definition by its name.
void | linphone_core_set_preview_video_definition (LinphoneCore *core, LinphoneVideoDefinition *video_definition)
| Set the video definition for the captured (preview) video.
void | linphone_core_set_preview_video_definition_by_name (LinphoneCore *core, const char *name)
const LinphoneVideoDefinition * | linphone_core_get_preview_video_definition (const LinphoneCore *core)
| Get the definition of the captured video.
LinphoneVideoDefinition * | linphone_core_get_current_preview_video_definition (const LinphoneCore *core)
| Get the effective video definition provided by the camera for the captured video.
const LinphoneVideoDefinition * | linphone_core_get_preferred_video_definition (const LinphoneCore *core)
| Get the preferred video definition for the stream that is captured and sent to the remote party.
void | linphone_core_set_preferred_framerate (LinphoneCore *core, float fps)
| Set the preferred frame rate for video.
float | linphone_core_get_preferred_framerate (LinphoneCore *core)
| Returns the preferred video framerate, previously set by linphone_core_set_preferred_framerate().
void | linphone_core_preview_ogl_render (const LinphoneCore *core)
| Call generic OpenGL render for a given core.
void | linphone_core_enable_video_preview (LinphoneCore *core, bool_t enable)
| Controls video preview enablement.
bool_t | linphone_core_video_preview_enabled (const LinphoneCore *core)
| Tells whether video preview is enabled.
void | linphone_core_enable_qrcode_video_preview (LinphoneCore *core, bool_t enable)
| Controls QRCode enablement.
void | linphone_core_set_qrcode_decode_rect (LinphoneCore *core, const int x, const int y, const int w, const int h)
| Set the rectangle where the decoder will search a QRCode.
bool_t | linphone_core_qrcode_video_preview_enabled (const LinphoneCore *core)
| Tells whether QRCode is enabled in the preview.
void | linphone_core_enable_self_view (LinphoneCore *core, bool_t enable)
| Enables or disable self view during calls.
bool_t | linphone_core_self_view_enabled (const LinphoneCore *core)
| Tells whether video self view during call is enabled or not.
void | linphone_core_reload_video_devices (LinphoneCore *core)
| Update detection of camera devices.
bctbx_list_t * | linphone_core_get_video_devices_list (const LinphoneCore *core)
| Gets the list of the available video capture devices.
LinphoneStatus | linphone_core_set_video_device (LinphoneCore *core, const char *id)
| Sets the active video device.
const char * | linphone_core_get_video_device (const LinphoneCore *core)
| Returns the name of the currently active video device.
LinphoneStatus | linphone_core_set_static_picture (LinphoneCore *core, const char *path)
| Set the path to the image file to stream when "Static picture" is set as the video device.
const char * | linphone_core_get_static_picture (LinphoneCore *core)
| Get the path to the image file streamed when "Static picture" is set as the video device.
LinphoneStatus | linphone_core_set_static_picture_fps (LinphoneCore *core, float fps)
| Set the frame rate for static picture.
float | linphone_core_get_static_picture_fps (LinphoneCore *core)
| Get the frame rate for static picture.
void * | linphone_core_create_native_video_window_id (const LinphoneCore *core)
| Create a native window handle for the video window.
void * | linphone_core_get_native_video_window_id (const LinphoneCore *core)
| Get the native window handle of the video window.
void | linphone_core_set_native_video_window_id (LinphoneCore *core, void *window_id)
| Set the native video window id where the video is to be displayed.
void * | linphone_core_create_native_preview_window_id (LinphoneCore *core)
| Create a native window handle for the video preview window.
void * | linphone_core_get_native_preview_window_id (LinphoneCore *core)
| Get the native window handle of the video preview window.
void | linphone_core_set_native_preview_window_id (LinphoneCore *core, void *window_id)
| Set the native window id where the preview video (local camera) is to be displayed.
void | linphone_core_use_preview_window (LinphoneCore *core, bool_t yesno)
| Tells the core to use a separate window for local camera preview video, instead of inserting local view within the remote video window.
int | linphone_core_get_device_rotation (LinphoneCore *core)
| Gets the current device orientation.
void | linphone_core_set_device_rotation (LinphoneCore *core, int rotation)
| Tells the core the device current orientation.
int | linphone_core_get_camera_sensor_rotation (LinphoneCore *core)
| Get the camera sensor rotation.
void | linphone_core_set_use_files (LinphoneCore *core, bool_t yesno)
| Ask the core to stream audio from and to files, instead of using the soundcard.
bool_t | linphone_core_get_use_files (LinphoneCore *core)
| Gets whether linphone is currently streaming audio from and to files, rather than using the soundcard.
const char * | linphone_core_get_play_file (const LinphoneCore *core)
| Get the wav file that is played when putting somebody on hold, or when files are used instead of soundcards (see linphone_core_set_use_files()).
void | linphone_core_set_play_file (LinphoneCore *core, const char *file)
| Sets a wav file to be played when putting somebody on hold, or when files are used instead of soundcards (see linphone_core_set_use_files()).
const char * | linphone_core_get_record_file (const LinphoneCore *core)
| Get the wav file where incoming stream is recorded, when files are used instead of soundcards (see linphone_core_set_use_files()).
void | linphone_core_set_record_file (LinphoneCore *core, const char *file)
| Sets a wav file where incoming stream is to be recorded, when files are used instead of soundcards (see linphone_core_set_use_files()).
void | linphone_core_play_dtmf (LinphoneCore *core, char dtmf, int duration_ms)
| Plays a dtmf sound to the local user.
void | linphone_core_stop_dtmf (LinphoneCore *core)
| Stops playing a dtmf started by linphone_core_play_dtmf().
int | linphone_core_get_mtu (const LinphoneCore *core)
| Returns the maximum transmission unit size in bytes.
void | linphone_core_set_mtu (LinphoneCore *core, int mtu)
| Sets the maximum transmission unit size in bytes.
void | linphone_core_set_enable_sip_update (const LinphoneCore *core, int value)
| Enable or disable the UPDATE method support.
void | linphone_core_set_session_expires_enabled (const LinphoneCore *core, bool_t enabled)
| Enable the Session Timers support.
void | linphone_core_enable_session_expires (const LinphoneCore *core, bool_t enabled)
| Enable the Session Timers support.
bool_t | linphone_core_get_session_expires_enabled (const LinphoneCore *core)
| Check if the Session Timers feature is enabled.
bool_t | linphone_core_session_expires_enabled (const LinphoneCore *core)
| Check if the Session Timers feature is enabled.
void | linphone_core_set_session_expires_value (const LinphoneCore *core, int expires)
| Sets the session expires value, 0 by default.
int | linphone_core_get_session_expires_value (const LinphoneCore *core)
| Returns the session expires value.
void | linphone_core_set_session_expires_refresher_value (const LinphoneCore *core, LinphoneSessionExpiresRefresher refresher)
| Sets the session expires refresher value.
LinphoneSessionExpiresRefresher | linphone_core_get_session_expires_refresher_value (const LinphoneCore *core)
| Returns the session expires refresher value.
void | linphone_core_set_session_expires_min_value (const LinphoneCore *core, int min)
| Sets the session expires minSE value, forced to a minimum of 90 by default.
int | linphone_core_get_session_expires_min_value (const LinphoneCore *core)
| Returns the session expires min value, 90 by default.
LinphoneZrtpPeerStatus | linphone_core_get_zrtp_status (LinphoneCore *core, const char *addr)
| Get the zrtp sas validation status for a peer uri.
LinphoneStatus | linphone_core_set_media_encryption (LinphoneCore *core, LinphoneMediaEncryption menc)
| Choose the media encryption policy to be used for RTP packets.
LinphoneMediaEncryption | linphone_core_get_media_encryption (const LinphoneCore *core)
| Get the media encryption policy being used for RTP packets.
bool_t | linphone_core_is_media_encryption_mandatory (LinphoneCore *core)
| Check if the configured media encryption is mandatory or not.
void | linphone_core_set_supported_media_encryptions (LinphoneCore *core, const bctbx_list_t *encs)
| Sets the supported media encryptions.
const bctbx_list_t * | linphone_core_get_supported_media_encryptions (LinphoneCore *core)
| Get list of supported media descriptions.
bool_t | linphone_core_is_media_encryption_supported (LinphoneCore *core, LinphoneMediaEncryption menc)
| Check if media encryption is supported.
void | linphone_core_set_media_encryption_mandatory (LinphoneCore *core, bool_t mandatory)
| Define whether the configured media encryption is mandatory, if it is and the negotation cannot result in the desired media encryption then the call will fail.
bool_t | linphone_core_cfg_lines_merging_enabled (const LinphoneCore *core)
| Check if cfg lines are going to the merged if the capability negotiation (RFC5939) is supported or not.
void | linphone_core_enable_cfg_lines_merging (LinphoneCore *core, bool_t merge)
| Define whether cfg lines are going to be merged if capability negotiation (RFC5939) is supported.
bool_t | linphone_core_tcap_lines_merging_enabled (const LinphoneCore *core)
| Check if tcap lines are going to the merged if the capability negotiation (RFC5939) is supported or not.
void | linphone_core_enable_tcap_line_merging (LinphoneCore *core, bool_t merge)
| Define whether tcap lines are going to be merged if capability negotiation (RFC5939) is supported.
bool_t | linphone_core_capability_negotiation_reinvite_enabled (const LinphoneCore *core)
| Check if the capability negotiation (RFC5939) reINVITE is enabled or not.
void | linphone_core_enable_zero_rtp_port_for_stream_inactive (LinphoneCore *core, bool_t enable)
| Define whether RTP port is set to 0 when a stream is inactive.
bool_t | linphone_core_zero_rtp_port_for_stream_inactive_enabled (const LinphoneCore *core)
| Check if RTP port is set to 0 when a stream is inactive.
void | linphone_core_enable_capability_negotiation_reinvite (LinphoneCore *core, bool_t enable)
| Define whether capability negotiation (RFC5939) reINVITE is enabled.
bool_t | linphone_core_capability_negociation_enabled (const LinphoneCore *core)
| Check if the capability negotiation (RFC5939) is supported or not.
void | linphone_core_enable_capability_negociation (LinphoneCore *core, bool_t enable)
| Define whether capability negotiation (RFC5939) is supported.
const char * | linphone_core_get_video_display_filter (LinphoneCore *core)
| Get the name of the mediastreamer2 filter used for rendering video.
void | linphone_core_set_video_display_filter (LinphoneCore *core, const char *filter_name)
| Set the name of the mediastreamer2 filter to be used for rendering video.
const char * | linphone_core_get_default_video_display_filter (LinphoneCore *core)
| Get the name of the default mediastreamer2 filter used for rendering video on the current platform.
bool_t | linphone_core_is_media_filter_supported (LinphoneCore *core, const char *filtername)
| Checks if the given media filter is loaded and usable.
const char * | linphone_core_get_echo_canceller_filter_name (const LinphoneCore *core)
| Get the name of the mediastreamer2 filter used for echo cancelling.
void | linphone_core_set_echo_canceller_filter_name (LinphoneCore *core, const char *filtername)
| Set the name of the mediastreamer2 filter to be used for echo cancelling.
void | linphone_core_set_tone (LinphoneCore *core, LinphoneToneID tone_id, const char *audiofile)
| Assign an audio file to be played as a specific tone id.
bctbx_list_t * | linphone_core_get_supported_file_formats_list (const LinphoneCore *core)
| Returns a null terminated table of strings containing the file format extension supported for call recording.
bool_t | linphone_core_file_format_supported (LinphoneCore *core, const char *fmt)
| Returns whether a specific file format is supported.
void | linphone_core_set_avpf_mode (LinphoneCore *core, LinphoneAVPFMode mode)
| Enable RTCP feedback (also known as RTP/AVPF profile).
LinphoneAVPFMode | linphone_core_get_avpf_mode (const LinphoneCore *core)
| Return AVPF enablement.
void | linphone_core_set_avpf_rr_interval (LinphoneCore *core, int interval)
| Set the avpf report interval in seconds.
int | linphone_core_get_avpf_rr_interval (const LinphoneCore *core)
| Return the avpf report interval in seconds.
LinphoneStatus | linphone_core_set_audio_multicast_addr (LinphoneCore *core, const char *ip)
| Use to set multicast address to be used for audio stream.
LinphoneStatus | linphone_core_set_video_multicast_addr (LinphoneCore *core, const char *ip)
| Use to set multicast address to be used for video stream.
const char * | linphone_core_get_audio_multicast_addr (const LinphoneCore *core)
| Use to get multicast address to be used for audio stream.
const char * | linphone_core_get_video_multicast_addr (const LinphoneCore *core)
| Use to get multicast address to be used for video stream.
LinphoneStatus | linphone_core_set_audio_multicast_ttl (LinphoneCore *core, int ttl)
| Use to set multicast ttl to be used for audio stream.
LinphoneStatus | linphone_core_set_video_multicast_ttl (LinphoneCore *core, int ttl)
| Use to set multicast ttl to be used for video stream.
int | linphone_core_get_audio_multicast_ttl (const LinphoneCore *core)
| Use to get multicast ttl to be used for audio stream.
int | linphone_core_get_video_multicast_ttl (const LinphoneCore *core)
| Use to get multicast ttl to be used for video stream.
void | linphone_core_enable_audio_multicast (LinphoneCore *core, bool_t yesno)
| Use to enable multicast rtp for audio stream.
bool_t | linphone_core_audio_multicast_enabled (const LinphoneCore *core)
| Use to get multicast state of audio stream.
void | linphone_core_enable_video_multicast (LinphoneCore *core, bool_t yesno)
| Use to enable multicast rtp for video stream.
bool_t | linphone_core_video_multicast_enabled (const LinphoneCore *core)
| Use to get multicast state of video stream.
void | linphone_core_enable_call_tone_indications (const LinphoneCore *core, bool_t yesno)
| Enables or disables call tone indications.
bool_t | linphone_core_call_tone_indications_enabled (const LinphoneCore *core)
| Check whether tone indications of calls are enabled.
bool_t | linphone_core_rtp_bundle_enabled (const LinphoneCore *core)
| Returns whether RTP bundle mode (also known as Media Multiplexing) is enabled.
void | linphone_core_enable_rtp_bundle (LinphoneCore *core, bool_t value)
| Enables or disables RTP bundle mode (Media Multiplexing).
LinphoneStatus | linphone_core_set_network_simulator_params (LinphoneCore *core, const OrtpNetworkSimulatorParams *params)
| Set the network simulator parameters.
const OrtpNetworkSimulatorParams * | linphone_core_get_network_simulator_params (const LinphoneCore *core)
| Get the previously set network simulation parameters.
void | linphone_core_set_video_preset (LinphoneCore *core, const char *preset)
| Set the video preset to be used for video calls.
const char * | linphone_core_get_video_preset (const LinphoneCore *core)
| Get the video preset used for video calls.
bool_t | linphone_core_realtime_text_enabled (LinphoneCore *core)
| Gets if realtime text is enabled or not.
unsigned int | linphone_core_realtime_text_get_keepalive_interval (const LinphoneCore *core)
| Gets keep alive interval of real time text.
bool_t | linphone_core_get_post_quantum_available (void)
| Are PostQuantum algoritms available.
bctbx_list_t * | linphone_core_get_zrtp_available_key_agreement_list (LinphoneCore *core)
| Return the list of the available ZRTP key agreement algorithns.
bctbx_list_t * | linphone_core_get_zrtp_key_agreement_list (LinphoneCore *core)
| Return the ordonated list of the ZRTP key agreement algorithns currently configured.
void | linphone_core_set_zrtp_key_agreement_suites (LinphoneCore *core, bctbx_list_t *key_agreements)
| Redefine the list of prefered ZRTP key agreement algorithms.
MS2_DEPRECATED void | linphone_core_send_dtmf (LinphoneCore *core, char dtmf)
| Send the specified dtmf.
MS2_DEPRECATED const bctbx_list_t * | linphone_core_get_audio_codecs (const LinphoneCore *core)
| Returns the list of available audio codecs.
MS2_DEPRECATED LinphoneStatus | linphone_core_set_audio_codecs (LinphoneCore *core, bctbx_list_t *codecs)
| Sets the list of audio codecs.
MS2_DEPRECATED const bctbx_list_t * | linphone_core_get_video_codecs (const LinphoneCore *core)
| Returns the list of available video codecs.
MS2_DEPRECATED LinphoneStatus | linphone_core_set_video_codecs (LinphoneCore *core, bctbx_list_t *codecs)
| Sets the list of video codecs.
MS2_DEPRECATED const bctbx_list_t * | linphone_core_get_text_codecs (const LinphoneCore *core)
| Returns the list of available text codecs.
MS2_DEPRECATED LinphoneStatus | linphone_core_set_text_codecs (LinphoneCore *core, bctbx_list_t *codecs)
| Sets the list of text codecs.
MS2_DEPRECATED bool_t | linphone_core_payload_type_enabled (const LinphoneCore *core, const OrtpPayloadType *pt)
| Tells whether the specified payload type is enabled.
MS2_DEPRECATED bool_t | linphone_core_payload_type_is_vbr (const LinphoneCore *core, const OrtpPayloadType *pt)
| Tells whether the specified payload type represents a variable bitrate codec.
MS2_DEPRECATED void | linphone_core_set_payload_type_bitrate (LinphoneCore *core, OrtpPayloadType *pt, int bitrate)
| Set an explicit bitrate (IP bitrate, not codec bitrate) for a given codec, in kbit/s.
MS2_DEPRECATED int | linphone_core_get_payload_type_bitrate (LinphoneCore *core, const OrtpPayloadType *pt)
| Get the bitrate explicitely set with linphone_core_set_payload_type_bitrate().
MS2_DEPRECATED LinphoneStatus | linphone_core_enable_payload_type (LinphoneCore *core, OrtpPayloadType *pt, bool_t enable)
| Enable or disable the use of the specified payload type.
MS2_DEPRECATED OrtpPayloadType * | linphone_core_find_payload_type (LinphoneCore *core, const char *type, int rate, int channels)
| Get payload type from mime type and clock rate.
MS2_DEPRECATED int | linphone_core_get_payload_type_number (LinphoneCore *core, const OrtpPayloadType *pt)
| Returns the payload type number assigned for this codec.
MS2_DEPRECATED void | linphone_core_set_payload_type_number (LinphoneCore *core, OrtpPayloadType *pt, int number)
| Force a number for a payload type.
MS2_DEPRECATED bool_t | linphone_core_check_payload_type_usability (LinphoneCore *core, const OrtpPayloadType *pt)
| Return TRUE if codec can be used with bandwidth, FALSE else.
MS2_DEPRECATED const char ** | linphone_core_get_sound_devices (LinphoneCore *core)
| Gets the list of the available sound devices.
MS2_DEPRECATED bool_t | linphone_core_sound_device_can_capture (LinphoneCore *core, const char *device)
| Tells whether a specified sound device can capture sound.
MS2_DEPRECATED bool_t | linphone_core_sound_device_can_playback (LinphoneCore *core, const char *device)
| Tells whether a specified sound device can play sound.
MS2_DEPRECATED int | linphone_core_get_ring_level (LinphoneCore *core)
| Get ring sound level in 0-100 scale.
MS2_DEPRECATED int | linphone_core_get_play_level (LinphoneCore *core)
| Get playback sound level in 0-100 scale.
MS2_DEPRECATED int | linphone_core_get_rec_level (LinphoneCore *core)
| Get sound capture level in 0-100 scale.
MS2_DEPRECATED int | linphone_core_get_media_level (LinphoneCore *core)
| Get sound media level in 0-100 scale.
MS2_DEPRECATED void | linphone_core_set_ring_level (LinphoneCore *core, int level)
| Set sound ring level in 0-100 scale.
MS2_DEPRECATED void | linphone_core_set_play_level (LinphoneCore *core, int level)
| Set sound playback level in 0-100 scale.
MS2_DEPRECATED void | linphone_core_set_rec_level (LinphoneCore *core, int level)
| Set sound capture level in 0-100 scale.
MS2_DEPRECATED void | linphone_core_set_media_level (LinphoneCore *core, int level)
| Set sound media level in 0-100 scale.
MS2_DEPRECATED void | linphone_core_enable_video (LinphoneCore *core, bool_t vcap_enabled, bool_t display_enabled)
| Enables video globally.
MS2_DEPRECATED void | linphone_core_set_video_policy (LinphoneCore *core, const LinphoneVideoPolicy *policy)
| Sets the default policy for video.
MS2_DEPRECATED const LinphoneVideoPolicy * | linphone_core_get_video_policy (const LinphoneCore *core)
| Get the default policy for video.
MS2_DEPRECATED const MSVideoSizeDef * | linphone_core_get_supported_video_sizes (LinphoneCore *core)
| Returns the zero terminated table of supported video resolutions.
MS2_DEPRECATED void | linphone_core_set_preferred_video_size (LinphoneCore *core, MSVideoSize vsize)
| Sets the preferred video size.
MS2_DEPRECATED void | linphone_core_set_preview_video_size (LinphoneCore *core, MSVideoSize vsize)
| Sets the video size for the captured (preview) video.
MS2_DEPRECATED void | linphone_core_set_preview_video_size_by_name (LinphoneCore *core, const char *name)
| Sets the preview video size by its name.
MS2_DEPRECATED MSVideoSize | linphone_core_get_preview_video_size (const LinphoneCore *core)
| Returns video size for the captured video if it was previously set by linphone_core_set_preview_video_size(), otherwise returns a 0,0 size.
MS2_DEPRECATED MSVideoSize | linphone_core_get_current_preview_video_size (const LinphoneCore *core)
| Returns the effective video size for the captured video as provided by the camera.
MS2_DEPRECATED MSVideoSize | linphone_core_get_preferred_video_size (const LinphoneCore *core)
| Returns the current preferred video size for sending.
MS2_DEPRECATED void | linphone_core_set_preferred_video_size_by_name (LinphoneCore *core, const char *name)
| Sets the preferred video size by its name.
MS2_DEPRECATED const char ** | linphone_core_get_video_devices (const LinphoneCore *core)
| Gets the list of the available video capture devices.
MS2_DEPRECATED const char ** | linphone_core_get_supported_file_formats (LinphoneCore *core)
| Returns a null terminated table of strings containing the file format extension supported for call recording.
const char * | linphone_media_encryption_to_string (LinphoneMediaEncryption media_encryption)
| Convert enum member to string.
const char * | linphone_media_direction_to_string (LinphoneMediaDirection media_direction)
| Convert enum member to string.
int | linphone_media_encryption_from_string (const char *value)
| Convert string to enum member.
LinphoneVideoDefinition * | linphone_video_definition_ref (LinphoneVideoDefinition *video_definition)
| Acquire a reference to the video definition.
void | linphone_video_definition_unref (LinphoneVideoDefinition *video_definition)
| Release reference to the video definition.
void * | linphone_video_definition_get_user_data (const LinphoneVideoDefinition *video_definition)
| Retrieve the user pointer associated with the video definition.
void | linphone_video_definition_set_user_data (LinphoneVideoDefinition *video_definition, void *user_data)
| Assign a user pointer to the video definition.
LinphoneVideoDefinition * | linphone_video_definition_clone (const LinphoneVideoDefinition *video_definition)
| Clone a video definition.
unsigned int | linphone_video_definition_get_width (const LinphoneVideoDefinition *video_definition)
| Get the width of the video definition.
void | linphone_video_definition_set_width (LinphoneVideoDefinition *video_definition, unsigned int width)
| Set the width of the video definition.
unsigned int | linphone_video_definition_get_height (const LinphoneVideoDefinition *video_definition)
| Get the height of the video definition.
void | linphone_video_definition_set_height (LinphoneVideoDefinition *video_definition, unsigned int height)
| Set the height of the video definition.
void | linphone_video_definition_set_definition (LinphoneVideoDefinition *video_definition, unsigned int width, unsigned int height)
| Set the width and the height of the video definition.
const char * | linphone_video_definition_get_name (const LinphoneVideoDefinition *video_definition)
| Get the name of the video definition.
void | linphone_video_definition_set_name (LinphoneVideoDefinition *video_definition, const char *name)
| Set the name of the video definition.
bool_t | linphone_video_definition_equals (const LinphoneVideoDefinition *video_definition1, const LinphoneVideoDefinition *video_definition2)
| Tells whether two LinphoneVideoDefinition objects are equal (the widths and the heights are the same but can be switched).
bool_t | linphone_video_definition_strict_equals (const LinphoneVideoDefinition *video_definition1, const LinphoneVideoDefinition *video_definition2)
| Tells whether two LinphoneVideoDefinition objects are strictly equal (the widths are the same and the heights are the same).
bool_t | linphone_video_definition_is_undefined (const LinphoneVideoDefinition *video_definition)
| Tells whether a LinphoneVideoDefinition is undefined.
void * | linphone_call_get_native_video_window_id (const LinphoneCall *call)
| Get the native window handle of the video window, casted as an unsigned long.
void * | linphone_call_create_native_video_window_id (const LinphoneCall *call)
| Create a native video window id where the video is to be displayed.
void | linphone_call_set_native_video_window_id (LinphoneCall *call, void *window_id)
| Set the native video window id where the video is to be displayed.
void | linphone_call_enable_echo_cancellation (LinphoneCall *call, bool_t enable)
| Enables or disable echo cancellation for this call.
bool_t | linphone_call_echo_cancellation_enabled (const LinphoneCall *call)
| Returns if echo cancellation is enabled.
void | linphone_call_enable_echo_limiter (LinphoneCall *call, bool_t enable)
| Enables or disable echo limiter for this call.
bool_t | linphone_call_echo_limiter_enabled (const LinphoneCall *call)
| Returns if echo limiter is enabled.
LinphonePayloadType * | linphone_payload_type_clone (const LinphonePayloadType *orig)
| Instantiates a new payload type with values from source.
LinphonePayloadType * | linphone_payload_type_ref (LinphonePayloadType *payload_type)
| Take a reference on a LinphonePayloadType.
void | linphone_payload_type_unref (LinphonePayloadType *payload_type)
| Release a reference on a LinphonePayloadType.
int | linphone_payload_type_get_type (const LinphonePayloadType *payload_type)
| Get the type of a payload type.
int | linphone_payload_type_enable (LinphonePayloadType *payload_type, bool_t enabled)
| Enable/disable a payload type.
bool_t | linphone_payload_type_enabled (const LinphonePayloadType *payload_type)
| Check whether a palyoad type is enabled.
const char * | linphone_payload_type_get_description (const LinphonePayloadType *payload_type)
| Return a string describing a payload type.
const char * | linphone_payload_type_get_encoder_description (const LinphonePayloadType *payload_type)
| Get a description of the encoder used to provide a payload type.
int | linphone_payload_type_get_normal_bitrate (const LinphonePayloadType *payload_type)
| Get the normal bitrate in bits/s.
void | linphone_payload_type_set_normal_bitrate (LinphonePayloadType *payload_type, int bitrate)
| Change the normal bitrate of a payload type.
const char * | linphone_payload_type_get_mime_type (const LinphonePayloadType *payload_type)
| Get the mime type.
int | linphone_payload_type_get_channels (const LinphonePayloadType *payload_type)
| Get the number of channels.
int | linphone_payload_type_get_number (const LinphonePayloadType *payload_type)
| Returns the payload type number assigned for this codec.
void | linphone_payload_type_set_number (LinphonePayloadType *payload_type, int number)
| Force a number for a payload type.
const char * | linphone_payload_type_get_recv_fmtp (const LinphonePayloadType *payload_type)
| Get the format parameters for incoming streams.
void | linphone_payload_type_set_recv_fmtp (LinphonePayloadType *payload_type, const char *recv_fmtp)
| Set the format parameters for incoming streams.
const char * | linphone_payload_type_get_send_fmtp (const LinphonePayloadType *payload_type)
| Get the format parameters for outgoing streams.
void | linphone_payload_type_set_send_fmtp (LinphonePayloadType *payload_type, const char *send_fmtp)
| Set the format parameters for outgoing streams.
int | linphone_payload_type_get_clock_rate (const LinphonePayloadType *payload_type)
| Get the clock rate of a payload type.
bool_t | linphone_payload_type_is_vbr (const LinphonePayloadType *payload_type)
| Tells whether the specified payload type represents a variable bitrate codec.
bool_t | linphone_payload_type_is_usable (const LinphonePayloadType *payload_type)
| Check whether the payload is usable according the bandwidth targets set in the core.
bool_t | linphone_payload_type_weak_equals (const LinphonePayloadType *payload_type, const LinphonePayloadType *other_payload_type)
| Compare two payload types, and returns true if they are equal.

## Detailed Description

Controlling media parameters.

Multicast

Call using rtp multicast addresses are supported for both audio and video with some limitations. Limitations are, no stun, no ice, no encryption.

- Incoming call with multicast address are automatically accepted. The called party switches in a media receive only mode.
- Outgoing call willing to send media to a multicast address can activate multicast using linphone_core_enable_video_multicast() or linphone_core_enable_audio_multicast(). The calling party switches in a media listen send only mode.

## Typedef Documentation

## LinphoneCodecPriorityPolicy

typedef enum _LinphoneCodecPriorityPolicy LinphoneCodecPriorityPolicy

Codec priority policies.

This enum represents different policies for managing offered codec lists during calls, as well as the offer-answer logic. Currently, policies can be applied only for video codecs.

## LinphoneVideoActivationPolicy

typedef struct _LinphoneVideoActivationPolicy LinphoneVideoActivationPolicy

Object describing policy regarding video streams establishments.

Use linphone_video_activation_policy_set_automatically_accept() and linphone_video_activation_policy_set_automatically_initiate() to tell the Core to automatically accept or initiate video during calls.

Even if disabled, you'll still be able to add it later while the call is running.

## LinphoneVideoDefinition

typedef struct _LinphoneVideoDefinition LinphoneVideoDefinition

This object represents a video definition, eg.

it's width, it's height and possibly it's name.

It is mostly used to configure the default video size sent by your camera during a video call with linphone_core_set_preferred_video_definition() method.

## LinphoneVideoPolicy

typedef struct _LinphoneVideoPolicy LinphoneVideoPolicy

Structure describing policy regarding video streams establishments.

Deprecated
  18/04/17

## Enumeration Type Documentation

## _LinphoneAVPFMode

enum _LinphoneAVPFMode

Enum describing RTP AVPF activation modes.

Enumerator
LinphoneAVPFDefault | Use default value defined at upper level.
LinphoneAVPFDisabled | AVPF is disabled.
LinphoneAVPFEnabled | AVPF is enabled.

## _LinphoneCodecPriorityPolicy

enum _LinphoneCodecPriorityPolicy

Codec priority policies.

This enum represents different policies for managing offered codec lists during calls, as well as the offer-answer logic. Currently, policies can be applied only for video codecs.

Enumerator
LinphoneCodecPriorityPolicyBasic | In this mode, codecs have initial default ordering, that can be changed by the application The answerer of a call accepts codecs with the order given in the offer.
LinphoneCodecPriorityPolicyAuto | In this mode, the codec list is managed by the LinphoneCore according to hardware capabilities in the goal of optimizing video quality and user experience. The answerer of call may re-order the offerer's list in its answer in order to give preference to certain codecs.

## _LinphoneEcCalibratorStatus

enum _LinphoneEcCalibratorStatus

Enum describing the result of the echo canceller calibration process.

Enumerator
LinphoneEcCalibratorInProgress | The echo canceller calibration process is on going.
LinphoneEcCalibratorDone | The echo canceller calibration has been performed and produced an echo delay measure.
LinphoneEcCalibratorFailed | The echo canceller calibration process has failed.
LinphoneEcCalibratorDoneNoEcho | The echo canceller calibration has been performed and no echo has been detected.

## _LinphoneMediaEncryption

enum _LinphoneMediaEncryption

Enum describing type of media encryption types.

Enumerator
LinphoneMediaEncryptionNone | No media encryption is used.
LinphoneMediaEncryptionSRTP | Use SRTP media encryption.
LinphoneMediaEncryptionZRTP | Use ZRTP media encryption.
LinphoneMediaEncryptionDTLS | Use DTLS media encryption.

## _LinphoneMediaResourceMode

enum _LinphoneMediaResourceMode

Media resource usage.

Enumerator
LinphoneExclusiveMediaResources | Media resources are not shared.
LinphoneSharedMediaResources | Media resources are shared.

## _LinphoneZrtpPeerStatus

enum _LinphoneZrtpPeerStatus

Enum describing the ZRTP SAS validation status of a peer URI.

Enumerator
LinphoneZrtpPeerStatusUnknown | Peer URI unkown or never validated/invalidated the SAS.
LinphoneZrtpPeerStatusInvalid | Peer URI SAS rejected in database.
LinphoneZrtpPeerStatusValid | Peer URI SAS validated in database.

## Function Documentation

## linphone_call_create_native_video_window_id()

void * linphone_call_create_native_video_window_id | ( | const LinphoneCall * | call | ) |

Create a native video window id where the video is to be displayed.

Parameters

  call | the LinphoneCall object

Returns
  the native video window id (type may vary depending on platform).

## linphone_call_echo_cancellation_enabled()

bool_t linphone_call_echo_cancellation_enabled | ( | const LinphoneCall * | call | ) |

Returns if echo cancellation is enabled.

Parameters

  call | the LinphoneCall object

Returns
  TRUE if echo cancellation is enabled, FALSE otherwise.

## linphone_call_echo_limiter_enabled()

bool_t linphone_call_echo_limiter_enabled | ( | const LinphoneCall * | call | ) |

Returns if echo limiter is enabled.

Parameters

  call | the LinphoneCall object

Returns
  TRUE if echo limiter is enabled, FALSE otherwise.

## linphone_call_enable_echo_cancellation()

void linphone_call_enable_echo_cancellation | ( | LinphoneCall * | call,
|  | bool_t | enable )

Enables or disable echo cancellation for this call.

Parameters

  call | the LinphoneCall object
  enable | wether to enable echo cancellation or not.

## linphone_call_enable_echo_limiter()

void linphone_call_enable_echo_limiter | ( | LinphoneCall * | call,
|  | bool_t | enable )

Enables or disable echo limiter for this call.

Parameters

  call | the LinphoneCall object
  enable | wether to enable echo limiter or not.

## linphone_call_get_native_video_window_id()

void * linphone_call_get_native_video_window_id | ( | const LinphoneCall * | call | ) |

Get the native window handle of the video window, casted as an unsigned long.

Parameters

  call | the LinphoneCall object

Returns
  the native video window id (type may vary depending on platform).

## linphone_call_params_add_custom_content()

void linphone_call_params_add_custom_content | ( | LinphoneCallParams * | params,
|  | LinphoneContent * | content )

Adds a LinphoneContent to be added to the INVITE SDP.

Parameters

  params | The LinphoneCallParams in which to set the custom LinphoneContent.
  content | The LinphoneContent to be added.

## linphone_call_params_add_custom_sdp_attribute()

void linphone_call_params_add_custom_sdp_attribute | ( | LinphoneCallParams * | params,
|  | const char * | attribute_name,
|  | const char * | attribute_value )

Add a custom attribute related to all the streams in the SDP exchanged within SIP messages during a call.

Parameters

  params | The LinphoneCallParams to add a custom SDP attribute to.
  attribute_name | The name of the attribute to add.
  attribute_value | The content value of the attribute to add.

## linphone_call_params_add_custom_sdp_media_attribute()

void linphone_call_params_add_custom_sdp_media_attribute | ( | LinphoneCallParams * | params,
|  | LinphoneStreamType | type,
|  | const char * | attribute_name,
|  | const char * | attribute_value )

Add a custom attribute related to a specific stream in the SDP exchanged within SIP messages during a call.

Parameters

  params | The LinphoneCallParams to add a custom SDP attribute to.
  type | The type of the stream to add a custom SDP attribute to.
  attribute_name | The name of the attribute to add.
  attribute_value | The content value of the attribute to add.

## linphone_call_params_audio_multicast_enabled()

bool_t linphone_call_params_audio_multicast_enabled | ( | const LinphoneCallParams * | params | ) |

Use to get multicast state of audio stream.

Parameters

  params | LinphoneCallParams

Returns
  true if subsequent calls will propose multicast ip set by linphone_core_set_audio_multicast_addr()

## linphone_call_params_capability_negotiation_reinvite_enabled()

bool_t linphone_call_params_capability_negotiation_reinvite_enabled | ( | const LinphoneCallParams * | params | ) |

Check if the capability negotiation (RFC5939) reINVITE is enabled or not.

Parameters

  params | the LinphoneCallParams

Returns
  TRUE if capability negotiation reINVITE is enabled; FALSE otherwise.

Deprecated
  16/12/2021 Use linphone_call_params_capability_negotiation_reinvite_enabled() instead.

## linphone_call_params_capability_negotiations_enabled()

bool_t linphone_call_params_capability_negotiations_enabled | ( | const LinphoneCallParams * | params | ) |

Indicates whether capability negotiations (RFC5939) is enabled.

Parameters

  params | the LinphoneCallParams

Returns
  a boolean indicating the enablement of capability negotiations.

## linphone_call_params_cfg_lines_merged()

bool_t linphone_call_params_cfg_lines_merged | ( | const LinphoneCallParams * | params | ) |

Indicates whether cfg lines with consecutive indexes are going to be merged or not if capability negotiations (RFC5939) is enabled.

Parameters

  params | the LinphoneCallParams

Returns
  a boolean indicating the enablement of pcfg and acfg line merging

## linphone_call_params_clear_custom_sdp_attributes()

void linphone_call_params_clear_custom_sdp_attributes | ( | LinphoneCallParams * | params | ) |

Clear the custom SDP attributes related to all the streams in the SDP exchanged within SIP messages during a call.

Parameters

  params | The LinphoneCallParams to clear the custom SDP attributes from.

## linphone_call_params_clear_custom_sdp_media_attributes()

void linphone_call_params_clear_custom_sdp_media_attributes | ( | LinphoneCallParams * | params,
|  | LinphoneStreamType | type )

Clear the custom SDP attributes related to a specific stream in the SDP exchanged within SIP messages during a call.

Parameters

  params | The LinphoneCallParams to clear the custom SDP attributes from.
  type | The type of the stream to clear the custom SDP attributes from.

## linphone_call_params_enable_audio_multicast()

void linphone_call_params_enable_audio_multicast | ( | LinphoneCallParams * | params,
|  | bool_t | yesno )

Use to enable multicast rtp for audio stream.

- If enabled, outgoing calls put a multicast address from linphone_core_get_video_multicast_addr() into audio cline. In case of outgoing call audio stream is sent to this multicast address.
  For incoming calls behavior is unchanged.
  Parameters

    params | LinphoneCallParams
    yesno | if yes, subsequent calls will propose multicast ip set by linphone_core_set_audio_multicast_addr()

## linphone_call_params_enable_capability_negotiation_reinvite()

void linphone_call_params_enable_capability_negotiation_reinvite | ( | LinphoneCallParams * | params,
|  | bool_t | enable )

Define whether capability negotiation (RFC5939) reINVITE is enabled.

Parameters

  params | the LinphoneCallParams
  enable | TRUE to enable capability negotiation reINVITE; FALSE otherwise.

## linphone_call_params_enable_mic()

void linphone_call_params_enable_mic | ( | LinphoneCallParams * | params,
|  | bool_t | enable )

Enable or disable the microphone at the call creation.

Warning
  This method won't have any effect once the call has been created! Instead use linphone_call_set_microphone_muted() when call has been created.

Parameters

  params | LinphoneCallParams object
  enable | TRUE to enable the microphone, FALSE to disable it.

## linphone_call_params_enable_realtime_text()

LinphoneStatus linphone_call_params_enable_realtime_text | ( | LinphoneCallParams * | params,
|  | bool_t | yesno )

Use to enable real time text following rfc4103.

If enabled, outgoing calls put a m=text line in SDP offer .

Parameters

  params | LinphoneCallParams
  yesno | if yes, subsequent outgoing calls will propose rtt

Returns
  0

## linphone_call_params_enable_rtp_bundle()

MS2_DEPRECATED void linphone_call_params_enable_rtp_bundle | ( | LinphoneCallParams * | params,
|  | bool_t | value )

Enables or disables RTP bundle mode (Media Multiplexing).

See https://datatracker.ietf.org/doc/html/rfc8843 for more information about the feature. When enabled, liblinphone will try to negociate the use of a single port for all streams. It automatically enables rtcp-mux.

Parameters

  params | the LinphoneCallParams
  value | a boolean to indicate whether the feature is to be enabled.

Deprecated
  This property can no longer be controlled via LinphoneCallParams. Use linphone_account_params_enable_rtp_bundle().

## linphone_call_params_enable_tone_indications()

void linphone_call_params_enable_tone_indications | ( | LinphoneCallParams * | params,
|  | bool_t | enable )

Define whether tone indications are enabled.

Parameters

  params | the LinphoneCallParams
  enable | TRUE to enable tone indications; FALSE otherwise.

## linphone_call_params_enable_video_multicast()

void linphone_call_params_enable_video_multicast | ( | LinphoneCallParams * | params,
|  | bool_t | yesno )

Use to enable multicast rtp for video stream.

If enabled, outgoing calls put a multicast address from linphone_core_get_video_multicast_addr() into video cline. In case of outgoing call video stream is sent to this multicast address.
For incoming calls behavior is unchanged.

Parameters

  params | LinphoneCallParams
  yesno | if yes, subsequent outgoing calls will propose multicast ip set by linphone_core_set_video_multicast_addr()

## linphone_call_params_get_custom_contents()

bctbx_list_t * linphone_call_params_get_custom_contents | ( | const LinphoneCallParams * | params | ) |

Gets a list of LinphoneContent set if exists.

Parameters

  params | The LinphoneCallParams to get the custom Content from.

Returns
  A list of LinphoneContent set if exists, NULL otherwise.

## linphone_call_params_get_custom_sdp_attribute()

const char * linphone_call_params_get_custom_sdp_attribute | ( | const LinphoneCallParams * | params,
|  | const char * | attribute_name )

Get a custom SDP attribute that is related to all the streams.

Parameters

  params | The LinphoneCallParams to get the custom SDP attribute from.
  attribute_name | The name of the attribute to get.

Returns
  The content value of the attribute or NULL if not found.

## linphone_call_params_get_custom_sdp_media_attribute()

const char * linphone_call_params_get_custom_sdp_media_attribute | ( | const LinphoneCallParams * | params,
|  | LinphoneStreamType | type,
|  | const char * | attribute_name )

Get a custom SDP attribute that is related to a specific stream.

Parameters

  params | The LinphoneCallParams to get the custom SDP attribute from.
  type | The type of the stream to add a custom SDP attribute to.
  attribute_name | The name of the attribute to get.

Returns
  The content value of the attribute or NULL if not found.

## linphone_call_params_get_realtime_text_keepalive_interval()

unsigned int linphone_call_params_get_realtime_text_keepalive_interval | ( | const LinphoneCallParams * | params | ) |

Use to get keep alive interval of real time text following rfc4103.

Parameters

  params | LinphoneCallParams

Returns
  returns keep alive interval of real time text.

## linphone_call_params_get_srtp_suites()

bctbx_list_t * linphone_call_params_get_srtp_suites | ( | const LinphoneCallParams * | call_params | ) |

Returns the list of enable srtp suite in the call (enforced only if SDES is the selected encryption mode)

Parameters

  call_params | the LinphoneCallParams

Returns
  a list of srtp suite enabled in a given call

## linphone_call_params_get_supported_encryptions()

bctbx_list_t * linphone_call_params_get_supported_encryptions | ( | const LinphoneCallParams * | params | ) |

Returns the list of supported encryptions in the call.

Parameters

  params | the LinphoneCallParams

Returns
  a list of encryptions supported in a given call

## linphone_call_params_has_custom_sdp_attribute()

bool_t linphone_call_params_has_custom_sdp_attribute | ( | const LinphoneCallParams * | params,
|  | const char * | attribute_name )

Returns TRUE if a custom SDP attribute that is related to all the streams is present.

Parameters

  params | The LinphoneCallParams to get the custom SDP attribute from.
  attribute_name | The name of the attribute to get.

Returns
  Whether the attribute is present.

## linphone_call_params_has_custom_sdp_media_attribute()

bool_t linphone_call_params_has_custom_sdp_media_attribute | ( | const LinphoneCallParams * | params,
|  | LinphoneStreamType | type,
|  | const char * | attribute_name )

Indicates whether a custom SDP attribute that is related to a specific stream is present or not.

Parameters

  params | The LinphoneCallParams to get the custom SDP attribute from.
  type | The type of the stream to add a custom SDP attribute to.
  attribute_name | The name of the attribute to get.

Returns
  Whether the attribute is present.

## linphone_call_params_is_capability_negotiation_reinvite_enabled()

MS2_DEPRECATED bool_t linphone_call_params_is_capability_negotiation_reinvite_enabled | ( | const LinphoneCallParams * | params | ) |

Check if the capability negotiation (RFC5939) reINVITE is enabled or not.

Parameters

  params | the LinphoneCallParams

Returns
  TRUE if capability negotiation reINVITE is enabled; FALSE otherwise.

Deprecated
  16/12/2021 Use linphone_call_params_capability_negotiation_reinvite_enabled() instead.

## linphone_call_params_is_media_encryption_supported()

bool_t linphone_call_params_is_media_encryption_supported | ( | const LinphoneCallParams * | params,
|  | const LinphoneMediaEncryption | encryption )

Returns the encryption is supported.

Parameters

  params | the LinphoneCallParams
  encryption | The LinphoneMediaEncryption to check whether is supported

Returns
  a boolean indicating whether the encryption is supported

## linphone_call_params_mic_enabled()

bool_t linphone_call_params_mic_enabled | ( | const LinphoneCallParams * | params | ) |

Tells whether the microphone will be enabled when the call will be created.

Warning
  This method only concerns the call creation, it doesn't reflect the actual microphone status during a call. Instead use linphone_call_get_microphone_muted() when call has been created.

Parameters

  params | LinphoneCallParams object

Returns
  TRUE if the microphone will be enabled, FALSE if disabled.

## linphone_call_params_realtime_text_enabled()

bool_t linphone_call_params_realtime_text_enabled | ( | const LinphoneCallParams * | params | ) |

Use to get real time text following rfc4103.

Parameters

  params | LinphoneCallParams

Returns
  returns true if call rtt is activated.

## linphone_call_params_rtp_bundle_enabled()

bool_t linphone_call_params_rtp_bundle_enabled | ( | const LinphoneCallParams * | params | ) |

Indicates whether RTP bundle mode (also known as Media Multiplexing) is enabled.

See https://datatracker.ietf.org/doc/html/rfc8843 for more information.

Parameters

  params | the LinphoneCallParams

Returns
  a boolean indicating the enablement of rtp bundle mode.

## linphone_call_params_set_realtime_text_keepalive_interval()

void linphone_call_params_set_realtime_text_keepalive_interval | ( | LinphoneCallParams * | params,
|  | unsigned int | interval )

Use to set keep alive interval for real time text following rfc4103.

Parameters

  params | LinphoneCallParams
  interval | The keep alive interval for real time text, 25000 by default.

## linphone_call_params_set_srtp_suites()

void linphone_call_params_set_srtp_suites | ( | LinphoneCallParams * | call_params,
|  | bctbx_list_t * | srtpSuites )

Sets the list of srtp suite enabled(enforced only when SDES is the encryption mode)

Parameters

  call_params | LinphoneCallParams object
  srtpSuites | list with the list of SRTP encryption suites enabled in a given call

## linphone_call_params_tcap_lines_merged()

bool_t linphone_call_params_tcap_lines_merged | ( | const LinphoneCallParams * | params | ) |

Indicates whether tcap lines with consecutive indexes are going to be merged or not if capability negotiations (RFC5939) is enabled.

Parameters

  params | the LinphoneCallParams

Returns
  a boolean indicating the enablement of tcap line merging

## linphone_call_params_tone_indications_enabled()

bool_t linphone_call_params_tone_indications_enabled | ( | const LinphoneCallParams * | params | ) |

Check if tone indications are enabled.

Parameters

  params | the LinphoneCallParams

Returns
  TRUE if tone indications are enabled; FALSE otherwise.

## linphone_call_params_video_multicast_enabled()

bool_t linphone_call_params_video_multicast_enabled | ( | const LinphoneCallParams * | params | ) |

Use to get multicast state of video stream.

Parameters

  params | LinphoneCallParams

Returns
  true if subsequent calls will propose multicast ip set by linphone_core_set_video_multicast_addr()

## linphone_call_set_native_video_window_id()

void linphone_call_set_native_video_window_id | ( | LinphoneCall * | call,
|  | void * | window_id )

Set the native video window id where the video is to be displayed.

For MacOS, Linux, Windows: if not set or 0 a window will be automatically created, unless the special id -1 is given.

Parameters

  call | the LinphoneCall object
  window_id | the native video window id.

## linphone_core_adaptive_rate_control_enabled()

bool_t linphone_core_adaptive_rate_control_enabled | ( | const LinphoneCore * | core | ) |

Returns whether adaptive rate control is enabled.

See also
  linphone_core_enable_adaptive_rate_control()

Parameters

  core | the LinphoneCore

Returns
  TRUE if adaptive rate control is enabled, FALSE otherwise

## linphone_core_agc_enabled()

bool_t linphone_core_agc_enabled | ( | const LinphoneCore * | core | ) |

Tells whether the experimental software Automatic Gain Control is activated.

This algorithm is very experimental, not usable in its current state.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if the AGC is enabled, FALSE otherwise.

## linphone_core_audio_adaptive_jittcomp_enabled()

bool_t linphone_core_audio_adaptive_jittcomp_enabled | ( | LinphoneCore * | core | ) |

Tells whether the audio adaptive jitter compensation is enabled.

Parameters

  core | LinphoneCore object

Returns
  TRUE if the audio adaptive jitter compensation is enabled, FALSE otherwise.

## linphone_core_audio_multicast_enabled()

bool_t linphone_core_audio_multicast_enabled | ( | const LinphoneCore * | core | ) |

Use to get multicast state of audio stream.

Parameters

  core | LinphoneCore

Returns
  TRUE if subsequent calls will propose multicast ip set by linphone_core_set_audio_multicast_addr()

## linphone_core_call_tone_indications_enabled()

bool_t linphone_core_call_tone_indications_enabled | ( | const LinphoneCore * | core | ) |

Check whether tone indications of calls are enabled.

Parameters

  core | LinphoneCore

Returns
  TRUE if call tone indications are enabled

## linphone_core_capability_negociation_enabled()

bool_t linphone_core_capability_negociation_enabled | ( | const LinphoneCore * | core | ) |

Check if the capability negotiation (RFC5939) is supported or not.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if capability negotiation is supported; FALSE otherwise.

## linphone_core_capability_negotiation_reinvite_enabled()

bool_t linphone_core_capability_negotiation_reinvite_enabled | ( | const LinphoneCore * | core | ) |

Check if the capability negotiation (RFC5939) reINVITE is enabled or not.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if capability negotiation reINVITE is enabled; FALSE otherwise.

## linphone_core_cfg_lines_merging_enabled()

bool_t linphone_core_cfg_lines_merging_enabled | ( | const LinphoneCore * | core | ) |

Check if cfg lines are going to the merged if the capability negotiation (RFC5939) is supported or not.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if acfg and pcfg lines with consecutive indexes are going to be merged; FALSE otherwise.

## linphone_core_check_payload_type_usability()

MS2_DEPRECATED bool_t linphone_core_check_payload_type_usability | ( | LinphoneCore * | core,
|  | const OrtpPayloadType * | pt )

Return TRUE if codec can be used with bandwidth, FALSE else.

Deprecated
  31/03/2017 Use linphone_payload_type_is_usable() instead.

## linphone_core_create_native_preview_window_id()

void * linphone_core_create_native_preview_window_id | ( | LinphoneCore * | core | ) |

Create a native window handle for the video preview window.

see linphone_core_set_native_video_window_id() for details about `window_id`

MSQOgl can be used for the creation. linphone_core_create_native_preview_window_id() returns a #QQuickFramebufferObject::Renderer. This object must be returned by your QQuickFramebufferObject::createRenderer() overload for Qt. linphone_core_set_native_preview_window_id() must be called with this object after the creation. Note : Qt blocks GUI thread when calling createRenderer(), so it is safe to call linphone functions there if needed.

Parameters

  core | LinphoneCore object

Returns
  The native window handle of the video preview window.

## linphone_core_create_native_video_window_id()

void * linphone_core_create_native_video_window_id | ( | const LinphoneCore * | core | ) |

Create a native window handle for the video window.

see linphone_core_set_native_video_window_id() for details about `window_id`

MSQOgl can be used for the creation. linphone_core_create_native_video_window_id() returns a #QQuickFramebufferObject::Renderer. This object must be returned by your QQuickFramebufferObject::createRenderer() overload for Qt. linphone_core_set_native_video_window_id() must be called with this object after the creation. Note : Qt blocks GUI thread when calling createRenderer(), so it is safe to call linphone functions there if needed.

Parameters

  core | LinphoneCore object

Returns
  The native window handle of the video window.

## linphone_core_dns_search_enabled()

bool_t linphone_core_dns_search_enabled | ( | const LinphoneCore * | core | ) |

Tells whether DNS search (use of local domain if the fully qualified name did return results) is enabled.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if DNS search is enabled, FALSE if disabled.

## linphone_core_dns_srv_enabled()

bool_t linphone_core_dns_srv_enabled | ( | const LinphoneCore * | core | ) |

Tells whether DNS SRV resolution is enabled.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if DNS SRV resolution is enabled, FALSE if disabled.

## linphone_core_echo_cancellation_enabled()

bool_t linphone_core_echo_cancellation_enabled | ( | const LinphoneCore * | core | ) |

Returns TRUE if echo cancellation is enabled.

Parameters

  core | LinphoneCore object

Returns
  A boolean value telling whether echo cancellation is enabled or disabled

## linphone_core_echo_limiter_enabled()

bool_t linphone_core_echo_limiter_enabled | ( | const LinphoneCore * | core | ) |

Tells whether echo limiter is enabled.

Enables or disable echo limiter. "Echo limiter" refers to an algorithm that creates half-duplex conversation in order to suppress echo. It is experimental and shall be used only in rare cases where echo cancellation cannot perform because of non-linear speaker/mic coupling. You shall not expected good audio quality with the echo limiter.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if the echo limiter is enabled, FALSE otherwise.

## linphone_core_enable_adaptive_rate_control()

void linphone_core_enable_adaptive_rate_control | ( | LinphoneCore * | core,
|  | bool_t | enabled )

Enable adaptive rate control.

Adaptive rate control consists in using RTCP feedback provided information to dynamically control the output bitrate of the audio and video encoders, so that we can adapt to the network conditions and available bandwidth. Control of the audio encoder is done in case of audio-only call, and control of the video encoder is done for audio & video calls. Adaptive rate control feature is enabled by default.

Parameters

  core | the LinphoneCore
  enabled | TRUE to enable adaptive rate control, FALSE otherwise

## linphone_core_enable_agc()

void linphone_core_enable_agc | ( | LinphoneCore * | core,
|  | bool_t | val )

Enable the experimental software Automatic Gain Control.

This algorithm is very experimental, not usable in its current state. Automatic Gain Control is usally provided by sound devices, typically on iOS and Android.

Parameters

  core | LinphoneCore object.
  val | a boolean value

## linphone_core_enable_audio_adaptive_jittcomp()

void linphone_core_enable_audio_adaptive_jittcomp | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable the audio adaptive jitter compensation.

Parameters

  core | LinphoneCore object
  enable | TRUE to enable the audio adaptive jitter compensation, FALSE to disable it.

## linphone_core_enable_audio_multicast()

void linphone_core_enable_audio_multicast | ( | LinphoneCore * | core,
|  | bool_t | yesno )

Use to enable multicast rtp for audio stream.

If enabled, outgoing calls put a multicast address from linphone_core_get_video_multicast_addr() into audio cline. In case of outgoing call audio stream is sent to this multicast address. For incoming calls behavior is unchanged.

Parameters

  core | LinphoneCore
  yesno | if yes, subsequent calls will propose multicast ip set by linphone_core_set_audio_multicast_addr()

## linphone_core_enable_call_tone_indications()

void linphone_core_enable_call_tone_indications | ( | const LinphoneCore * | core,
|  | bool_t | yesno )

Enables or disables call tone indications.

This value is taken into account from next tine call parameters are created. This feature can also be enabled per-call using LinphoneCallParams.

Parameters

  core | the LinphoneCore
  yesno | a boolean to indicate whether the feature is to be enabled.

## linphone_core_enable_capability_negociation()

void linphone_core_enable_capability_negociation | ( | LinphoneCore * | core,
|  | bool_t | enable )

Define whether capability negotiation (RFC5939) is supported.

Parameters

  core | LinphoneCore object.
  enable | TRUE to support RFC5939; FALSE otherwise.

## linphone_core_enable_capability_negotiation_reinvite()

void linphone_core_enable_capability_negotiation_reinvite | ( | LinphoneCore * | core,
|  | bool_t | enable )

Define whether capability negotiation (RFC5939) reINVITE is enabled.

Parameters

  core | LinphoneCore object.
  enable | TRUE to enable capability negotiation reINVITE; FALSE otherwise.

## linphone_core_enable_cfg_lines_merging()

void linphone_core_enable_cfg_lines_merging | ( | LinphoneCore * | core,
|  | bool_t | merge )

Define whether cfg lines are going to be merged if capability negotiation (RFC5939) is supported.

Parameters

  core | LinphoneCore object.
  merge | TRUE to merge acfg and pcfg lines with consecutive indexes; FALSE otherwise.

## linphone_core_enable_dns_search()

void linphone_core_enable_dns_search | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable DNS search (use of local domain if the fully qualified name did return results).

Parameters

  core | LinphoneCore object.
  enable | TRUE to enable DNS search, FALSE to disable it.

## linphone_core_enable_dns_srv()

void linphone_core_enable_dns_srv | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable DNS SRV resolution.

Parameters

  core | LinphoneCore object.
  enable | TRUE to enable DNS SRV resolution, FALSE to disable it.

## linphone_core_enable_echo_cancellation()

void linphone_core_enable_echo_cancellation | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enables or disable echo cancellation.

Value is saved and used for subsequent calls. This actually controls software echo cancellation only. When 'enable' is set to FALSE, software echo cancellation is disabled, but hardware one, if available, remains activated. When set to TRUE, software echo cancellation is activated in either of these two conditions:

- hardware echo cancellation is not available
- an echo calibration procedure was run successfully, which implicitly cause the software echo canceller to be preferred over hardware one.
  Parameters

    core | LinphoneCore object
    enable | A boolean value telling whether echo cancellation is to be enabled or disabled.

## linphone_core_enable_echo_limiter()

void linphone_core_enable_echo_limiter | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enables or disable echo limiter.

"Echo limiter" refers to an algorithm that creates half-duplex conversation in order to suppress echo. It is experimental and shall be used only in rare cases where echo cancellation cannot perform because of non-linear speaker/mic coupling. You shall not expected good audio quality with the echo limiter.

Parameters

  core | LinphoneCore object.
  enable | TRUE to enable echo limiter, FALSE to disable it.

## linphone_core_enable_generic_comfort_noise()

void linphone_core_enable_generic_comfort_noise | ( | LinphoneCore * | core,
|  | bool_t | enabled )

Enable RFC3389 generic comfort noise algorithm (CN payload type).

It is disabled by default, because this algorithm is only relevant for legacy codecs (PCMU, PCMA, G722). Enablement requires a SDK built with full G729 support: -DENABLE_G729=ON -DENABLE_G729B_CNG=ON .

Warning
  : the G729 support is not included in Liblinphone default licence - the purchase of a license extension is required.

Parameters

  core | LinphoneCore object
  enabled | TRUE if enabled, FALSE otherwise.

## linphone_core_enable_mic()

void linphone_core_enable_mic | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable the microphone.

This effectively enable or disable microphone (mute) for currently the running call or conference if any, as well as it applies to future currently running calls or conferences.

Parameters

  core | LinphoneCore object
  enable | TRUE to enable the microphone, FALSE to disable it.

## linphone_core_enable_native_ringing()

void linphone_core_enable_native_ringing | ( | LinphoneCore * | core,
|  | bool_t | enable )

Sets whether to use the native ringing (Android only).

Parameters

  core | LinphoneCore object
  enable | True to enable native ringing, false otherwise

## linphone_core_enable_payload_type()

MS2_DEPRECATED LinphoneStatus linphone_core_enable_payload_type | ( | LinphoneCore * | core,
|  | OrtpPayloadType * | pt,
|  | bool_t | enable )

Enable or disable the use of the specified payload type.

Parameters

  core | LinphoneCore object.
  pt | The payload type to enable or disable. It can be retrieved using linphone_core_find_payload_type()
  enable | TRUE to enable the payload type, FALSE to disable it.

Returns
  0 if successful, any other value otherwise.

Deprecated
  31/03/2017 Use linphone_payload_type_enable().

## linphone_core_enable_qrcode_video_preview()

void linphone_core_enable_qrcode_video_preview | ( | LinphoneCore * | core,
|  | bool_t | enable )

Controls QRCode enablement.

When enabled, several QRCodes can be decoded.

Parameters

  core | LinphoneCore object
  enable | A boolean value telling whether to enable QRCode in the preview.

## linphone_core_enable_retransmission_on_nack()

void linphone_core_enable_retransmission_on_nack | ( | LinphoneCore * | core,
|  | bool_t | enable )

Turns NACK context on or off.

Parameters

  core | LinphoneCore object
  enable | A boolean value telling whether to enable NACK context

## linphone_core_enable_rtp_bundle()

void linphone_core_enable_rtp_bundle | ( | LinphoneCore * | core,
|  | bool_t | value )

Enables or disables RTP bundle mode (Media Multiplexing).

See https://datatracker.ietf.org/doc/html/rfc8843 for more information about the feature. When enabled, liblinphone will try to negociate the use of a single port for all streams when doing an outgoing call. It automatically enables rtcp-mux. This feature can also be enabled per-call using LinphoneCallParams.

Parameters

  core | the LinphoneCore
  value | a boolean to indicate whether the feature is to be enabled.

## linphone_core_enable_self_view()

void linphone_core_enable_self_view | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enables or disable self view during calls.

Parameters

  core | LinphoneCore object
  enable | A boolean value telling whether to enable self view Self-view refers to having local webcam image inserted in corner of the video window during calls. This function works at any time, including during calls.

## linphone_core_enable_session_expires()

void linphone_core_enable_session_expires | ( | const LinphoneCore * | core,
|  | bool_t | enabled )

Enable the Session Timers support.

Parameters

  core | LinphoneCore object
  enabled | Enable or disable it

## linphone_core_enable_tcap_line_merging()

void linphone_core_enable_tcap_line_merging | ( | LinphoneCore * | core,
|  | bool_t | merge )

Define whether tcap lines are going to be merged if capability negotiation (RFC5939) is supported.

Parameters

  core | LinphoneCore object.
  merge | TRUE to merge tcap lines with consecutive indexes; FALSE otherwise.

## linphone_core_enable_video()

MS2_DEPRECATED void linphone_core_enable_video | ( | LinphoneCore * | core,
|  | bool_t | vcap_enabled,
|  | bool_t | display_enabled )

Enables video globally.

This function does not have any effect during calls. It just indicates LinphoneCore to initiate future calls with video or not. The two boolean parameters indicate in which direction video is enabled. Setting both to false disables video entirely.

Parameters

  core | The LinphoneCore object
  vcap_enabled | indicates whether video capture is enabled
  display_enabled | indicates whether video display should be shown

Deprecated
  09/10/2013 Use linphone_core_enable_video_capture() and linphone_core_enable_video_display() instead.

## linphone_core_enable_video_adaptive_jittcomp()

void linphone_core_enable_video_adaptive_jittcomp | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable the video adaptive jitter compensation.

Parameters

  core | LinphoneCore object
  enable | TRUE to enable the video adaptive jitter compensation, FALSE to disable it.

## linphone_core_enable_video_capture()

void linphone_core_enable_video_capture | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable video capture.

This function does not have any effect during calls. It just indicates the LinphoneCore to initiate future calls with video capture or not.

Parameters

  core | LinphoneCore object.
  enable | TRUE to enable video capture, FALSE to disable it.

## linphone_core_enable_video_display()

void linphone_core_enable_video_display | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable video display.

This function does not have any effect during calls. It just indicates the LinphoneCore to initiate future calls with video display or not.

Parameters

  core | LinphoneCore object.
  enable | TRUE to enable video display, FALSE to disable it.

## linphone_core_enable_video_multicast()

void linphone_core_enable_video_multicast | ( | LinphoneCore * | core,
|  | bool_t | yesno )

Use to enable multicast rtp for video stream.

If enabled, outgoing calls put a multicast address from linphone_core_get_video_multicast_addr() into video cline. In case of outgoing call video stream is sent to this multicast address. For incoming calls behavior is unchanged.

Parameters

  core | LinphoneCore
  yesno | if yes, subsequent outgoing calls will propose multicast ip set by linphone_core_set_video_multicast_addr()

## linphone_core_enable_video_preview()

void linphone_core_enable_video_preview | ( | LinphoneCore * | core,
|  | bool_t | enable )

Controls video preview enablement.

Parameters

  core | LinphoneCore object
  enable | A boolean value telling whether the video preview is to be shown Video preview refers to the action of displaying the local webcam image to the user while not in call.

## linphone_core_enable_video_source_reuse()

void linphone_core_enable_video_source_reuse | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable video source reuse when switching from preview to actual video call.

This source reuse is useful when you always display the preview, even before calls are initiated. By keeping the video source for the transition to a real video call, you will smooth out the source close/reopen cycle.

This function does not have any effect durfing calls. It just indicates the LinphoneCore to initiate future calls with video source reuse or not. Also, at the end of a video call, the source will be closed whatsoever for now.

Parameters

  core | LinphoneCore object
  enable | TRUE to enable video source reuse. FALSE to disable it for subsequent calls.

## linphone_core_enable_zero_rtp_port_for_stream_inactive()

void linphone_core_enable_zero_rtp_port_for_stream_inactive | ( | LinphoneCore * | core,
|  | bool_t | enable )

Define whether RTP port is set to 0 when a stream is inactive.

Parameters

  core | LinphoneCore object.
  enable | TRUE to set the RTP port to 0 if the stream direction is inactive; FALSE otherwise.

## linphone_core_file_format_supported()

bool_t linphone_core_file_format_supported | ( | LinphoneCore * | core,
|  | const char * | fmt )

Returns whether a specific file format is supported.

See also
  linphone_core_get_supported_file_formats()

Parameters

  core | A LinphoneCore object
  fmt | The format extension (wav, mkv).

Returns
  TRUE if the file format is supported, FALSE otherwise

## linphone_core_find_payload_type()

MS2_DEPRECATED OrtpPayloadType * linphone_core_find_payload_type | ( | LinphoneCore * | core,
|  | const char * | type,
|  | int | rate,
|  | int | channels )

Get payload type from mime type and clock rate.

This function searches in audio and video codecs for the given payload type name and clockrate.

Parameters

  core | LinphoneCore object
  type | payload mime type (I.E SPEEX, PCMU, VP8)
  rate | can be LINPHONE_FIND_PAYLOAD_IGNORE_RATE
  channels | number of channels, can be LINPHONE_FIND_PAYLOAD_IGNORE_CHANNELS

Returns
  Returns NULL if not found.

Deprecated
  31/03/2017 Use linphone_core_get_payload_type() instead.

## linphone_core_generic_comfort_noise_enabled()

bool_t linphone_core_generic_comfort_noise_enabled | ( | const LinphoneCore * | core | ) |

Returns enablement of RFC3389 generic comfort noise algorithm.

Parameters

  core | LinphoneCore object

Returns
  TRUE if generic comfort noise is enabled, FALSE otherwise.

## linphone_core_get_adaptive_rate_algorithm()

const char * linphone_core_get_adaptive_rate_algorithm | ( | const LinphoneCore * | core | ) |

Returns which adaptive rate algorithm is currently configured for future calls.

See also
  linphone_core_set_adaptive_rate_algorithm()

Parameters

  core | the LinphoneCore

Returns
  the adaptive rate algorithm. Currently two values are supported: 'advanced', which is the default value, or 'basic'.

## linphone_core_get_audio_codecs()

MS2_DEPRECATED const bctbx_list_t * linphone_core_get_audio_codecs | ( | const LinphoneCore * | core | ) |

Returns the list of available audio codecs.

Parameters

  core | The LinphoneCore object

Returns
  A list of #OrtpPayloadType.

This list is unmodifiable. The ->data field of the bctbx_list_t points a PayloadType structure holding the codec information. It is possible to make copy of the list with bctbx_list_copy() in order to modify it (such as the order of codecs).

Deprecated
  31/03/2017 Use linphone_core_get_audio_payload_types() instead.

## linphone_core_get_audio_jittcomp()

int linphone_core_get_audio_jittcomp | ( | LinphoneCore * | core | ) |

Returns the nominal audio jitter buffer size in milliseconds.

Parameters

  core | LinphoneCore object

Returns
  The nominal audio jitter buffer size in milliseconds

## linphone_core_get_audio_multicast_addr()

const char * linphone_core_get_audio_multicast_addr | ( | const LinphoneCore * | core | ) |

Use to get multicast address to be used for audio stream.

Parameters

  core | LinphoneCore

Returns
  an ipv4/6 multicast address or default value.

## linphone_core_get_audio_multicast_ttl()

int linphone_core_get_audio_multicast_ttl | ( | const LinphoneCore * | core | ) |

Use to get multicast ttl to be used for audio stream.

Parameters

  core | LinphoneCore

Returns
  a time to leave value

## linphone_core_get_audio_payload_types()

bctbx_list_t * linphone_core_get_audio_payload_types | ( | LinphoneCore * | core | ) |

Return the list of the available audio payload types.

Parameters

  core | The core.

Returns
  A freshly allocated list of the available payload types.

## linphone_core_get_avpf_mode()

LinphoneAVPFMode linphone_core_get_avpf_mode | ( | const LinphoneCore * | core | ) |

Return AVPF enablement.

See linphone_core_set_avpf_mode() .

Parameters

  core | LinphoneCore object

Returns
  The current LinphoneAVPFMode mode

## linphone_core_get_avpf_rr_interval()

int linphone_core_get_avpf_rr_interval | ( | const LinphoneCore * | core | ) |

Return the avpf report interval in seconds.

Parameters

  core | LinphoneCore object

Returns
  The current AVPF report interval in seconds

## linphone_core_get_camera_sensor_rotation()

int linphone_core_get_camera_sensor_rotation | ( | LinphoneCore * | core | ) |

Get the camera sensor rotation.

This is needed on some mobile platforms to get the number of degrees the camera sensor is rotated relative to the screen.

Parameters

  core | The linphone core related to the operation

Returns
  The camera sensor rotation in degrees (0 to 360) or -1 if it could not be retrieved

## linphone_core_get_capture_device()

const char * linphone_core_get_capture_device | ( | LinphoneCore * | core | ) |

Gets the name of the currently assigned sound device for capture.

Parameters

  core | LinphoneCore object

Returns
  The name of the currently assigned sound device for capture.

## linphone_core_get_current_preview_video_definition()

LinphoneVideoDefinition * linphone_core_get_current_preview_video_definition | ( | const LinphoneCore * | core | ) |

Get the effective video definition provided by the camera for the captured video.

When preview is disabled or not yet started this function returns a 0x0 video definition.

Parameters

  core | LinphoneCore object

Returns
  The captured LinphoneVideoDefinition.

See also
  linphone_core_set_preview_video_definition()

## linphone_core_get_current_preview_video_size()

MS2_DEPRECATED MSVideoSize linphone_core_get_current_preview_video_size | ( | const LinphoneCore * | core | ) |

Returns the effective video size for the captured video as provided by the camera.

When preview is disabled or not yet started, this function returns a zeroed video size.

See also
  linphone_core_set_preview_video_size()

Parameters

  core | the core

Returns
  a #MSVideoSize

Deprecated
  28/03/2017 Use linphone_core_get_current_preview_video_definition() instead.

## linphone_core_get_default_video_display_filter()

const char * linphone_core_get_default_video_display_filter | ( | LinphoneCore * | core | ) |

Get the name of the default mediastreamer2 filter used for rendering video on the current platform.

This is for advanced users of the library, mainly to expose mediastreamer video filter name and status.

Parameters

  core | LinphoneCore object

Returns
  The default video display filter.

## linphone_core_get_device_rotation()

int linphone_core_get_device_rotation | ( | LinphoneCore * | core | ) |

Gets the current device orientation.

Parameters

  core | LinphoneCore object

Returns
  The current device orientation

See also
  linphone_core_set_device_rotation()

## linphone_core_get_disable_record_on_mute()

bool_t linphone_core_get_disable_record_on_mute | ( | LinphoneCore * | core | ) |

Get whether the microphone will be completely deactivated when muted.

Please refer to linphone_core_set_disable_record_on_mute().

Parameters

  core | LinphoneCore object

Returns
  True if you wish to entirely stop the audio recording when muting the microphone.

## linphone_core_get_dns_set_by_app()

bool_t linphone_core_get_dns_set_by_app | ( | LinphoneCore * | core | ) |

Tells if the DNS was set by an application.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if DNS was set by app, FALSE otherwise.

## linphone_core_get_download_bandwidth()

int linphone_core_get_download_bandwidth | ( | const LinphoneCore * | core | ) |

Retrieve the maximum available download bandwidth.

This value was set by linphone_core_set_download_bandwidth().

Parameters

  core | the LinphoneCore object

Returns
  the download bandiwdth in kbits/s, 0 for infinite

## linphone_core_get_download_ptime()

int linphone_core_get_download_ptime | ( | LinphoneCore * | core | ) |

Get audio packetization time linphone expects to receive from peer.

A value of zero means that ptime is not specified.

Parameters

  core | the LinphoneCore

Returns
  the download packetization time set

## linphone_core_get_echo_cancellation_calibration()

int linphone_core_get_echo_cancellation_calibration | ( | const LinphoneCore * | core | ) |

Gets the currently stored calibration delay for the software echo cancellation.

Parameters

  core | LinphoneCore object

Returns
  the current calibration value, -1 if it failed, 0 if not done or not needed, a positive value if a software echo canceller is required after running linphone_core_start_echo_canceller_calibration().

## linphone_core_get_echo_canceller_filter_name()

const char * linphone_core_get_echo_canceller_filter_name | ( | const LinphoneCore * | core | ) |

Get the name of the mediastreamer2 filter used for echo cancelling.

Parameters

  core | LinphoneCore object

Returns
  The name of the mediastreamer2 filter used for echo cancelling.

## linphone_core_get_media_device()

const char * linphone_core_get_media_device | ( | LinphoneCore * | core | ) |

Gets the name of the currently assigned sound device for media.

Parameters

  core | LinphoneCore object

Returns
  The name of the currently assigned sound device for capture.

## linphone_core_get_media_encryption()

LinphoneMediaEncryption linphone_core_get_media_encryption | ( | const LinphoneCore * | core | ) |

Get the media encryption policy being used for RTP packets.

Parameters

  core | LinphoneCore object.

Returns
  The LinphoneMediaEncryption policy being used.

## linphone_core_get_media_level()

MS2_DEPRECATED int linphone_core_get_media_level | ( | LinphoneCore * | core | ) |

Get sound media level in 0-100 scale.

Deprecated
  20/12/2018

## linphone_core_get_mic_gain_db()

float linphone_core_get_mic_gain_db | ( | LinphoneCore * | core | ) |

Get microphone gain in db.

Parameters

  core | LinphoneCore object

Returns
  The current microphone gain

## linphone_core_get_native_preview_window_id()

void * linphone_core_get_native_preview_window_id | ( | LinphoneCore * | core | ) |

Get the native window handle of the video preview window.

see linphone_core_set_native_video_window_id() for details about `window_id`

There is a special case for Qt : linphone_core_get_native_preview_window_id() returns a #QQuickFramebufferObject::Renderer. Note : Qt blocks GUI thread when calling createRenderer(), so it is safe to call linphone functions there if needed.

Parameters

  core | LinphoneCore object

Returns
  The native window handle of the video preview window.

## linphone_core_get_native_video_window_id()

void * linphone_core_get_native_video_window_id | ( | const LinphoneCore * | core | ) |

Get the native window handle of the video window.

see linphone_core_set_native_video_window_id for details about `window_id`

There is a special case for Qt : linphone_core_get_native_video_window_id() returns a #QQuickFramebufferObject::Renderer. Note : Qt blocks GUI thread when calling createRenderer(), so it is safe to call linphone functions there if needed.

Parameters

  core | LinphoneCore object

Returns
  The native window handle of the video window.

## linphone_core_get_network_simulator_params()

const OrtpNetworkSimulatorParams * linphone_core_get_network_simulator_params | ( | const LinphoneCore * | core | ) |

Get the previously set network simulation parameters.

See also
  linphone_core_set_network_simulator_params()

Returns
  a #OrtpNetworkSimulatorParams structure.

## linphone_core_get_nortp_onhold_timeout()

int linphone_core_get_nortp_onhold_timeout | ( | const LinphoneCore * | core | ) |

Gets the value of the no-rtp timeout when the call is on hold.

When no RTP or RTCP packets have been received for a while when the call is on hold LinphoneCore will consider the call is broken (remote end crashed or disconnected from the network), and thus will terminate the call. The no-rtp timeout is the duration above which the call is considered broken.

Parameters

  core | LinphoneCore object

Returns
  The value of the no-rtp timeout in seconds when the call is on hold

## linphone_core_get_nortp_timeout()

int linphone_core_get_nortp_timeout | ( | const LinphoneCore * | core | ) |

Gets the value of the no-rtp timeout.

When no RTP or RTCP packets have been received for a while LinphoneCore will consider the call is broken (remote end crashed or disconnected from the network), and thus will terminate the call. The no-rtp timeout is the duration above which the call is considered broken.

Parameters

  core | LinphoneCore object

Returns
  The value of the no-rtp timeout in seconds

## linphone_core_get_payload_type()

LinphonePayloadType * linphone_core_get_payload_type | ( | LinphoneCore * | core,
|  | const char * | type,
|  | int | rate,
|  | int | channels )

Get payload type from mime type and clock rate.

This function searches in audio and video codecs for the given payload type name and clockrate.

Parameters

  core | LinphoneCore object
  type | payload mime type (I.E SPEEX, PCMU, VP8)
  rate | can be LINPHONE_FIND_PAYLOAD_IGNORE_RATE
  channels | number of channels, can be LINPHONE_FIND_PAYLOAD_IGNORE_CHANNELS

Returns
  Returns NULL if not found. If a LinphonePayloadType is returned, it must be released with linphone_payload_type_unref() after using it.

## linphone_core_get_payload_type_bitrate()

MS2_DEPRECATED int linphone_core_get_payload_type_bitrate | ( | LinphoneCore * | core,
|  | const OrtpPayloadType * | pt )

Get the bitrate explicitely set with linphone_core_set_payload_type_bitrate().

Parameters

  core | the LinphoneCore object
  pt | the payload type to modify.

Returns
  bitrate the IP bitrate in kbit/s, or -1 if an error occured.

Deprecated
  31/03/2017 Use linphone_payload_type_get_bitrate().

## linphone_core_get_payload_type_number()

MS2_DEPRECATED int linphone_core_get_payload_type_number | ( | LinphoneCore * | core,
|  | const OrtpPayloadType * | pt )

Returns the payload type number assigned for this codec.

Deprecated
  13/02/2017 Use linphone_payload_type_get_number() instead

## linphone_core_get_play_file()

const char * linphone_core_get_play_file | ( | const LinphoneCore * | core | ) |

Get the wav file that is played when putting somebody on hold, or when files are used instead of soundcards (see linphone_core_set_use_files()).

The file is a 16 bit linear wav file.

Parameters

  core | LinphoneCore object

Returns
  The path to the file that is played when putting somebody on hold.

## linphone_core_get_play_level()

MS2_DEPRECATED int linphone_core_get_play_level | ( | LinphoneCore * | core | ) |

Get playback sound level in 0-100 scale.

Deprecated
  20/12/2016

## linphone_core_get_playback_device()

const char * linphone_core_get_playback_device | ( | LinphoneCore * | core | ) |

Gets the name of the currently assigned sound device for playback.

Parameters

  core | LinphoneCore object

Returns
  The name of the currently assigned sound device for playback.

## linphone_core_get_playback_gain_db()

float linphone_core_get_playback_gain_db | ( | LinphoneCore * | core | ) |

Get playback gain in db before entering sound card.

Parameters

  core | LinphoneCore object

Returns
  The current playback gain

## linphone_core_get_post_quantum_available()

bool_t linphone_core_get_post_quantum_available | ( | void |  | ) |

Are PostQuantum algoritms available.

Returns
  TRUE if Post Quantum algorithms are available FALSE otherwise

## linphone_core_get_preferred_framerate()

float linphone_core_get_preferred_framerate | ( | LinphoneCore * | core | ) |

Returns the preferred video framerate, previously set by linphone_core_set_preferred_framerate().

Parameters

  core | the linphone core

Returns
  frame rate in number of frames per seconds.

## linphone_core_get_preferred_video_definition()

const LinphoneVideoDefinition * linphone_core_get_preferred_video_definition | ( | const LinphoneCore * | core | ) |

Get the preferred video definition for the stream that is captured and sent to the remote party.

Parameters

  core | LinphoneCore object

Returns
  The preferred LinphoneVideoDefinition

## linphone_core_get_preferred_video_size()

MS2_DEPRECATED MSVideoSize linphone_core_get_preferred_video_size | ( | const LinphoneCore * | core | ) |

Returns the current preferred video size for sending.

Deprecated
  28/03/2017 Use linphone_core_get_preferred_video_definition() instead.

## linphone_core_get_preview_video_definition()

const LinphoneVideoDefinition * linphone_core_get_preview_video_definition | ( | const LinphoneCore * | core | ) |

Get the definition of the captured video.

Parameters

  core | LinphoneCore object

Returns
  The captured LinphoneVideoDefinition if it was previously set by linphone_core_set_preview_video_definition(), otherwise a 0x0 LinphoneVideoDefinition.

See also
  linphone_core_set_preview_video_definition()

## linphone_core_get_preview_video_size()

MS2_DEPRECATED MSVideoSize linphone_core_get_preview_video_size | ( | const LinphoneCore * | core | ) |

Returns video size for the captured video if it was previously set by linphone_core_set_preview_video_size(), otherwise returns a 0,0 size.

See also
  linphone_core_set_preview_video_size()

Parameters

  core | the core

Returns
  a #MSVideoSize

Deprecated
  28/03/2017 Use linphone_core_get_preview_video_definition() instead.

## linphone_core_get_rec_level()

MS2_DEPRECATED int linphone_core_get_rec_level | ( | LinphoneCore * | core | ) |

Get sound capture level in 0-100 scale.

Deprecated
  20/12/2016

## linphone_core_get_record_file()

const char * linphone_core_get_record_file | ( | const LinphoneCore * | core | ) |

Get the wav file where incoming stream is recorded, when files are used instead of soundcards (see linphone_core_set_use_files()).

This feature is different from call recording (linphone_call_params_set_record_file()) The file is a 16 bit linear wav file.

Parameters

  core | LinphoneCore object

Returns
  The path to the file where incoming stream is recorded.

## linphone_core_get_remote_ringback_tone()

const char * linphone_core_get_remote_ringback_tone | ( | const LinphoneCore * | core | ) |

Get the ring back tone played to far end during incoming calls.

Parameters

  core | LinphoneCore object

Returns
  the path to the remote ring back tone to be played.

## linphone_core_get_ring()

const char * linphone_core_get_ring | ( | const LinphoneCore * | core | ) |

Returns the path to the wav file used for ringing.

Parameters

  core | LinphoneCore object

Returns
  The path to the wav file used for ringing.

## linphone_core_get_ring_during_incoming_early_media()

bool_t linphone_core_get_ring_during_incoming_early_media | ( | const LinphoneCore * | core | ) |

Tells whether the ring play is enabled during an incoming early media call.

Parameters

  core | LinphoneCore object

## linphone_core_get_ring_level()

MS2_DEPRECATED int linphone_core_get_ring_level | ( | LinphoneCore * | core | ) |

Get ring sound level in 0-100 scale.

Deprecated
  20/12/2016

## linphone_core_get_ringback()

const char * linphone_core_get_ringback | ( | const LinphoneCore * | core | ) |

Returns the path to the wav file used for ringing back.

Parameters

  core | LinphoneCore object

Returns
  The path to the wav file used for ringing back.

## linphone_core_get_ringer_device()

const char * linphone_core_get_ringer_device | ( | LinphoneCore * | core | ) |

Gets the name of the currently assigned sound device for ringing.

Parameters

  core | LinphoneCore object

Returns
  The name of the currently assigned sound device for ringing.

## linphone_core_get_session_expires_enabled()

bool_t linphone_core_get_session_expires_enabled | ( | const LinphoneCore * | core | ) |

Check if the Session Timers feature is enabled.

Parameters

  core | LinphoneCore object

Deprecated
  16/12/2021 Use linphone_core_session_expires_enabled() instead.

## linphone_core_get_session_expires_min_value()

int linphone_core_get_session_expires_min_value | ( | const LinphoneCore * | core | ) |

Returns the session expires min value, 90 by default.

Parameters

  core | LinphoneCore object

Returns
  The minSE value

## linphone_core_get_session_expires_refresher_value()

LinphoneSessionExpiresRefresher linphone_core_get_session_expires_refresher_value | ( | const LinphoneCore * | core | ) |

Returns the session expires refresher value.

Parameters

  core | LinphoneCore object

Returns
  The LinphoneSessionExpiresRefresher configuration refresher value

## linphone_core_get_session_expires_value()

int linphone_core_get_session_expires_value | ( | const LinphoneCore * | core | ) |

Returns the session expires value.

Parameters

  core | LinphoneCore object

Returns
  The session timer expire value

## linphone_core_get_sip_transport_timeout()

int linphone_core_get_sip_transport_timeout | ( | LinphoneCore * | core | ) |

Get the SIP transport timeout, which represents the maximum time permitted to establish a connection to a SIP server.

Parameters

  core | LinphoneCore object.

Returns
  The SIP transport timeout in milliseconds.

## linphone_core_get_sound_devices()

MS2_DEPRECATED const char ** linphone_core_get_sound_devices | ( | LinphoneCore * | core | ) |

Gets the list of the available sound devices.

Parameters

  core | LinphoneCore object

Returns
  An unmodifiable array of strings contanining the names of the available sound devices that is NULL terminated

Deprecated
  12/10/2017 use linphone_core_get_sound_devices_list instead

## linphone_core_get_sound_devices_list()

bctbx_list_t * linphone_core_get_sound_devices_list | ( | const LinphoneCore * | core | ) |

Gets the list of the available sound devices.

Parameters

  core | LinphoneCore object

Returns
  An unmodifiable array of strings contanining the names of the available sound devices that is NULL terminated.

Deprecated
  10/04/2021 Use linphone_core_get_audio_devices() instead.

## linphone_core_get_static_picture()

const char * linphone_core_get_static_picture | ( | LinphoneCore * | core | ) |

Get the path to the image file streamed when "Static picture" is set as the video device.

Parameters

  core | LinphoneCore object.

Returns
  The path to the image file streamed when "Static picture" is set as the video device.

## linphone_core_get_static_picture_fps()

float linphone_core_get_static_picture_fps | ( | LinphoneCore * | core | ) |

Get the frame rate for static picture.

Parameters

  core | LinphoneCore object.

Returns
  The frame rate used for static picture.

## linphone_core_get_supported_file_formats()

MS2_DEPRECATED const char ** linphone_core_get_supported_file_formats | ( | LinphoneCore * | core | ) |

Returns a null terminated table of strings containing the file format extension supported for call recording.

Parameters

  core | the core

Returns
  the supported formats, typically 'wav' and 'mkv'

Deprecated
  12/10/2017 use linphone_core_get_supported_file_formats_list instead

## linphone_core_get_supported_file_formats_list()

bctbx_list_t * linphone_core_get_supported_file_formats_list | ( | const LinphoneCore * | core | ) |

Returns a null terminated table of strings containing the file format extension supported for call recording.

Parameters

  core | the core

Returns
  The supported formats, typically 'wav' and 'mkv'.

## linphone_core_get_supported_media_encryptions()

const bctbx_list_t * linphone_core_get_supported_media_encryptions | ( | LinphoneCore * | core | ) |

Get list of supported media descriptions.

Parameters

  core | LinphoneCore object.

Returns
  list of supported media encryptions as intptr_t.

## linphone_core_get_supported_video_sizes()

MS2_DEPRECATED const MSVideoSizeDef * linphone_core_get_supported_video_sizes | ( | LinphoneCore * | core | ) |

Returns the zero terminated table of supported video resolutions.

Deprecated
  28/03/2017 Use linphone_factory_get_supported_video_definitions() instead.

## linphone_core_get_text_codecs()

MS2_DEPRECATED const bctbx_list_t * linphone_core_get_text_codecs | ( | const LinphoneCore * | core | ) |

Returns the list of available text codecs.

Parameters

  core | The LinphoneCore object

Returns
  A list of OrtpPayloadType.

This list is unmodifiable. The ->data field of the bctbx_list_t points a PayloadType structure holding the codec information. It is possible to make copy of the list with bctbx_list_copy() in order to modify it (such as the order of codecs).

Deprecated
  31/03/2017 Use linphone_core_get_text_payload_types() instead.

## linphone_core_get_text_payload_types()

bctbx_list_t * linphone_core_get_text_payload_types | ( | LinphoneCore * | core | ) |

Return the list of the available text payload types.

Parameters

  core | The core.

Returns
  A freshly allocated list of the available payload types. The list must be destroyed with bctbx_list_free() after usage. The elements of the list haven't to be unref.

## linphone_core_get_upload_bandwidth()

int linphone_core_get_upload_bandwidth | ( | const LinphoneCore * | core | ) |

Retrieve the maximum available upload bandwidth.

This value was set by linphone_core_set_upload_bandwidth().

Parameters

  core | the LinphoneCore object

Returns
  the upload bandiwdth in kbits/s, 0 for infinite

## linphone_core_get_upload_ptime()

int linphone_core_get_upload_ptime | ( | LinphoneCore * | core | ) |

Set audio packetization time linphone will send (in absence of requirement from peer) A value of 0 stands for the current codec default packetization time.

Parameters

  core | the LinphoneCore

Returns
  the upload packetization time set

## linphone_core_get_use_files()

bool_t linphone_core_get_use_files | ( | LinphoneCore * | core | ) |

Gets whether linphone is currently streaming audio from and to files, rather than using the soundcard.

Parameters

  core | LinphoneCore object

Returns
  A boolean value representing whether linphone is streaming audio from and to files or not.

## linphone_core_get_use_info_for_dtmf()

bool_t linphone_core_get_use_info_for_dtmf | ( | LinphoneCore * | core | ) |

Indicates whether SIP INFO is used to send digits.

Parameters

  core | LinphoneCore object

Returns
  A boolean value telling whether SIP INFO is used to send digits

## linphone_core_get_use_rfc2833_for_dtmf()

bool_t linphone_core_get_use_rfc2833_for_dtmf | ( | LinphoneCore * | core | ) |

Indicates whether RFC2833 is used to send digits.

Parameters

  core | LinphoneCore object

Returns
  A boolean value telling whether RFC2833 is used to send digits

## linphone_core_get_video_activation_policy()

LinphoneVideoActivationPolicy * linphone_core_get_video_activation_policy | ( | const LinphoneCore * | core | ) |

Get the default policy for video.

See linphone_core_set_video_activation_policy() for more details.

Parameters

  core | LinphoneCore object

Returns
  The video policy being used

## linphone_core_get_video_codec_priority_policy()

LinphoneCodecPriorityPolicy linphone_core_get_video_codec_priority_policy | ( | const LinphoneCore * | core | ) |

Get the current priority policy for video codecs (payload types).

See LinphoneCodecPriorityPolicy for more details.

Parameters

  core | the core

Returns
  the current LinphoneCodecPriorityPolicy

## linphone_core_get_video_codecs()

MS2_DEPRECATED const bctbx_list_t * linphone_core_get_video_codecs | ( | const LinphoneCore * | core | ) |

Returns the list of available video codecs.

Parameters

  core | The LinphoneCore object

Returns
  A list of #OrtpPayloadType.

This list is unmodifiable. The ->data field of the bctbx_list_t points a PayloadType structure holding the codec information. It is possible to make copy of the list with bctbx_list_copy() in order to modify it (such as the order of codecs).

Deprecated
  31/03/2017 Use linphone_core_get_video_payload_types() instead.

## linphone_core_get_video_device()

const char * linphone_core_get_video_device | ( | const LinphoneCore * | core | ) |

Returns the name of the currently active video device.

Parameters

  core | LinphoneCore object

Returns
  The name of the currently active video device.

## linphone_core_get_video_devices()

MS2_DEPRECATED const char ** linphone_core_get_video_devices | ( | const LinphoneCore * | core | ) |

Gets the list of the available video capture devices.

Parameters

  core | LinphoneCore object

Returns
  An unmodifiable array of strings contanining the names of the available video capture devices that is NULL terminated

Deprecated
  12/10/2017 use linphone_core_get_video_devices_list instead

## linphone_core_get_video_devices_list()

bctbx_list_t * linphone_core_get_video_devices_list | ( | const LinphoneCore * | core | ) |

Gets the list of the available video capture devices.

Parameters

  core | LinphoneCore object

Returns
  An unmodifiable array of strings contanining the names of the available video capture devices that is NULL terminated.

## linphone_core_get_video_display_filter()

const char * linphone_core_get_video_display_filter | ( | LinphoneCore * | core | ) |

Get the name of the mediastreamer2 filter used for rendering video.

Parameters

  core | LinphoneCore object

Returns
  The currently selected video display filter.

## linphone_core_get_video_jittcomp()

int linphone_core_get_video_jittcomp | ( | LinphoneCore * | core | ) |

Returns the nominal video jitter buffer size in milliseconds.

Parameters

  core | LinphoneCore object

Returns
  The nominal video jitter buffer size in milliseconds

## linphone_core_get_video_multicast_addr()

const char * linphone_core_get_video_multicast_addr | ( | const LinphoneCore * | core | ) |

Use to get multicast address to be used for video stream.

Parameters

  core | LinphoneCore

Returns
  an ipv4/6 multicast address, or default value.

## linphone_core_get_video_multicast_ttl()

int linphone_core_get_video_multicast_ttl | ( | const LinphoneCore * | core | ) |

Use to get multicast ttl to be used for video stream.

Parameters

  core | LinphoneCore

Returns
  a time to leave value

## linphone_core_get_video_payload_types()

bctbx_list_t * linphone_core_get_video_payload_types | ( | LinphoneCore * | core | ) |

Return the list of the available video payload types.

Parameters

  core | The core.

Returns
  A freshly allocated list of the available payload types.

## linphone_core_get_video_policy()

MS2_DEPRECATED const LinphoneVideoPolicy * linphone_core_get_video_policy | ( | const LinphoneCore * | core | ) |

Get the default policy for video.

See linphone_core_set_video_policy() for more details.

Parameters

  core | LinphoneCore object

Returns
  The video policy being used

Deprecated
  19/04/2017 Use linphone_video_activation_policy_get_automatically_accept instead

## linphone_core_get_video_preset()

const char * linphone_core_get_video_preset | ( | const LinphoneCore * | core | ) |

Get the video preset used for video calls.

Parameters

  core | LinphoneCore object

Returns
  The name of the video preset used for video calls (can be NULL if the default video preset is used).

## linphone_core_get_zrtp_available_key_agreement_list()

bctbx_list_t * linphone_core_get_zrtp_available_key_agreement_list | ( | LinphoneCore * | core | ) |

Return the list of the available ZRTP key agreement algorithns.

Parameters

  core | The core.

Returns
  A freshly allocated list of the available algorithms. The list must be destroyed with bctbx_list_free() after usage. The elements of the list haven't to be unref.

## linphone_core_get_zrtp_key_agreement_list()

bctbx_list_t * linphone_core_get_zrtp_key_agreement_list | ( | LinphoneCore * | core | ) |

Return the ordonated list of the ZRTP key agreement algorithns currently configured.

Parameters

  core | The core.

Returns
  A freshly allocated list of the available algorithms. The list must be destroyed with bctbx_list_free() after usage. The elements of the list haven't to be unref.

## linphone_core_get_zrtp_status()

LinphoneZrtpPeerStatus linphone_core_get_zrtp_status | ( | LinphoneCore * | core,
|  | const char * | addr )

Get the zrtp sas validation status for a peer uri.

Once the SAS has been validated or rejected, the status will never return to Unknown (unless you delete your cache)

Parameters

  core | LinphoneCore object.
  addr | the peer uri

Returns
  - LinphoneZrtpPeerStatusUnknown: this uri is not present in cache OR during calls with the active device, SAS never was validated or rejected
  - LinphoneZrtpPeerStatusValid: the active device status is set to valid
  - LinphoneZrtpPeerStatusInvalid: the active peer device status is set to invalid

## linphone_core_is_media_encryption_mandatory()

bool_t linphone_core_is_media_encryption_mandatory | ( | LinphoneCore * | core | ) |

Check if the configured media encryption is mandatory or not.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if media encryption is mandatory; FALSE otherwise.

## linphone_core_is_media_encryption_supported()

bool_t linphone_core_is_media_encryption_supported | ( | LinphoneCore * | core,
|  | LinphoneMediaEncryption | menc )

Check if media encryption is supported.

Parameters

  core | LinphoneCore object.
  menc | The media encryption policy to be used.

Returns
  TRUE if the media encryption is supported, FALSE otherwise

## linphone_core_is_media_filter_supported()

bool_t linphone_core_is_media_filter_supported | ( | LinphoneCore * | core,
|  | const char * | filtername )

Checks if the given media filter is loaded and usable.

This is for advanced users of the library, mainly to expose mediastreamer video filter status.

Parameters

  core | LinphoneCore object
  filtername | the filter name

Returns
  TRUE if the filter is loaded and usable, FALSE otherwise

## linphone_core_is_native_ringing_enabled()

bool_t linphone_core_is_native_ringing_enabled | ( | const LinphoneCore * | core | ) |

Returns whether the native ringing is enabled or not.

Parameters

  core | LinphoneCore object

Returns
  True if we use the native ringing, false otherwise

Deprecated
  16/12/2021 Use linphone_core_native_ringing_enabled() instead.

## linphone_core_mic_enabled()

bool_t linphone_core_mic_enabled | ( | LinphoneCore * | core | ) |

Tells whether the microphone is enabled.

Parameters

  core | LinphoneCore object

Returns
  TRUE if the microphone is enabled, FALSE if disabled.

## linphone_core_native_ringing_enabled()

bool_t linphone_core_native_ringing_enabled | ( | const LinphoneCore * | core | ) |

Returns whether the native ringing is enabled or not.

Parameters

  core | LinphoneCore object

Returns
  True if we use the native ringing, false otherwise

## linphone_core_payload_type_enabled()

MS2_DEPRECATED bool_t linphone_core_payload_type_enabled | ( | const LinphoneCore * | core,
|  | const OrtpPayloadType * | pt )

Tells whether the specified payload type is enabled.

Parameters

  core | LinphoneCore object.
  pt | The payload type to check.

Returns
  TRUE if the payload type is enabled, FALSE if disabled.

Deprecated
  31/03/2017 Use linphone_payload_type_enabled() instead.

## linphone_core_payload_type_is_vbr()

MS2_DEPRECATED bool_t linphone_core_payload_type_is_vbr | ( | const LinphoneCore * | core,
|  | const OrtpPayloadType * | pt )

Tells whether the specified payload type represents a variable bitrate codec.

Parameters

  core | LinphoneCore object.
  pt | The payload type to check.

Returns
  TRUE if the payload type represents a VBR codec, FALSE if disabled.

Deprecated
  31/03/2017 Use linphone_payload_type_is_vbr() instead.

## linphone_core_play_dtmf()

void linphone_core_play_dtmf | ( | LinphoneCore * | core,
|  | char | dtmf,
|  | int | duration_ms )

Plays a dtmf sound to the local user.

Parameters

  core | LinphoneCore object
  dtmf | DTMF to play ['0'..'16'] | '#' | '#'
  duration_ms | Duration in ms, -1 means play until next further call to linphone_core_stop_dtmf()

## linphone_core_preview_ogl_render()

void linphone_core_preview_ogl_render | ( | const LinphoneCore * | core | ) |

Call generic OpenGL render for a given core.

Parameters

  core | The core.

## linphone_core_qrcode_video_preview_enabled()

bool_t linphone_core_qrcode_video_preview_enabled | ( | const LinphoneCore * | core | ) |

Tells whether QRCode is enabled in the preview.

Parameters

  core | LinphoneCore object

Returns
  A boolean value telling whether QRCode is enabled in the preview.

## linphone_core_realtime_text_enabled()

bool_t linphone_core_realtime_text_enabled | ( | LinphoneCore * | core | ) |

Gets if realtime text is enabled or not.

Parameters

  core | LinphoneCore object

Returns
  TRUE if realtime text is enabled, FALSE otherwise

## linphone_core_realtime_text_get_keepalive_interval()

unsigned int linphone_core_realtime_text_get_keepalive_interval | ( | const LinphoneCore * | core | ) |

Gets keep alive interval of real time text.

Parameters

  core | LinphoneCore object

Returns
  keep alive interval of real time text.

## linphone_core_reload_sound_devices()

void linphone_core_reload_sound_devices | ( | LinphoneCore * | core | ) |

Update detection of sound devices.

Use this function when the application is notified of USB plug events, so that list of available hardwares for sound playback and capture is updated.

Parameters

  core | LinphoneCore object.

## linphone_core_reload_video_devices()

void linphone_core_reload_video_devices | ( | LinphoneCore * | core | ) |

Update detection of camera devices.

Use this function when the application is notified of USB plug events, so that list of available hardwares for video capture is updated.

Parameters

  core | LinphoneCore object.

## linphone_core_reset_echo_cancellation_calibration()

void linphone_core_reset_echo_cancellation_calibration | ( | LinphoneCore * | core | ) |

Clears all state resulting from a previous echo canceller calibration procedure, which restores default policy and settings for echo cancellation.

See also
  linphone_core_enable_echo_cancellation() and linphone_core_start_echo_canceller_calibration()

Parameters

  core | LinphoneCore object

## linphone_core_retransmission_on_nack_enabled()

bool_t linphone_core_retransmission_on_nack_enabled | ( | LinphoneCore * | core | ) |

Tells whether NACK context is enabled or not.

Parameters

  core | LinphoneCore object

Returns
  A boolean value telling whether NACK context is enabled or not

## linphone_core_rtp_bundle_enabled()

bool_t linphone_core_rtp_bundle_enabled | ( | const LinphoneCore * | core | ) |

Returns whether RTP bundle mode (also known as Media Multiplexing) is enabled.

See https://datatracker.ietf.org/doc/html/rfc8843 for more information.

Parameters

  core | the LinphoneCore

Returns
  a boolean indicating the enablement of rtp bundle mode.

## linphone_core_self_view_enabled()

bool_t linphone_core_self_view_enabled | ( | const LinphoneCore * | core | ) |

Tells whether video self view during call is enabled or not.

Parameters

  core | LinphoneCore object

Returns
  A boolean value telling whether self view is enabled

See also
  linphone_core_enable_self_view() for details.

## linphone_core_send_dtmf()

MS2_DEPRECATED void linphone_core_send_dtmf | ( | LinphoneCore * | core,
|  | char | dtmf )

Send the specified dtmf.

This function only works during calls. The dtmf is automatically played to the user.

Parameters

  core | The LinphoneCore object
  dtmf | The dtmf name specified as a char, such as '0', '#' etc...

Deprecated

  23/11/2015 Use linphone_call_send_dtmf() instead.

## linphone_core_session_expires_enabled()

bool_t linphone_core_session_expires_enabled | ( | const LinphoneCore * | core | ) |

Check if the Session Timers feature is enabled.

Parameters

  core | LinphoneCore object

Returns
  TRUE if session timers are enabled, FALSE otherwise

## linphone_core_set_adaptive_rate_algorithm()

void linphone_core_set_adaptive_rate_algorithm | ( | LinphoneCore * | core,
|  | const char * | algorithm )

Sets adaptive rate algorithm.

It will be used for each new calls starting from now. Calls already started will not be updated.

Parameters

  core | the core
  algorithm | the adaptive rate control algorithm. Currently two values are supported: 'advanced', which is the default value, or 'basic'.

## linphone_core_set_audio_codecs()

MS2_DEPRECATED LinphoneStatus linphone_core_set_audio_codecs | ( | LinphoneCore * | core,
|  | bctbx_list_t * | codecs )

Sets the list of audio codecs.

Parameters

  core | The LinphoneCore object
  codecs | The new list of codecs. The list is taken by the LinphoneCore, thus the application should not free it.

Returns
  0

Deprecated

  31/03/2017 Use linphone_core_set_audio_payload_types() instead.

## linphone_core_set_audio_jittcomp()

void linphone_core_set_audio_jittcomp | ( | LinphoneCore * | core,
|  | int | milliseconds )

Sets the nominal audio jitter buffer size in milliseconds.

The value takes effect immediately for all running and pending calls, if any. A value of 0 disables the jitter buffer.

Parameters

  core | the LinphoneCore object
  milliseconds | the audio jitter buffer size to set in milliseconds

## linphone_core_set_audio_multicast_addr()

LinphoneStatus linphone_core_set_audio_multicast_addr | ( | LinphoneCore * | core,
|  | const char * | ip )

Use to set multicast address to be used for audio stream.

Parameters

  core | LinphoneCore
  ip | an ipv4/6 multicast address.

Returns
  0 in case of success

## linphone_core_set_audio_multicast_ttl()

LinphoneStatus linphone_core_set_audio_multicast_ttl | ( | LinphoneCore * | core,
|  | int | ttl )

Use to set multicast ttl to be used for audio stream.

Parameters

  core | LinphoneCore
  ttl | value or -1 if not used. [0..255] default value is 1

Returns
  0 in case of success

## linphone_core_set_audio_payload_types()

void linphone_core_set_audio_payload_types | ( | LinphoneCore * | core,
|  | const bctbx_list_t * | payload_types )

Redefine the list of the available payload types.

Parameters

  core | The core.
  payload_types | The new list of payload types. The core does not take ownership on it.

## linphone_core_set_audio_port_range()

void linphone_core_set_audio_port_range | ( | LinphoneCore * | core,
|  | int | min_port,
|  | int | max_port )

Sets the UDP port range from which to randomly select the port used for audio streaming.

Parameters

  core | LinphoneCore object
  min_port | The lower bound of the audio port range to use
  max_port | The upper bound of the audio port range to use

## linphone_core_set_avpf_mode()

void linphone_core_set_avpf_mode | ( | LinphoneCore * | core,
|  | LinphoneAVPFMode | mode )

Enable RTCP feedback (also known as RTP/AVPF profile).

Setting LinphoneAVPFDefault is equivalent to LinphoneAVPFDisabled. This setting can be overriden per LinphoneProxyConfig with linphone_proxy_config_set_avpf_mode(). The value set here is used for calls placed or received out of any proxy configured, or if the proxy config is configured with LinphoneAVPFDefault.

Parameters

  core | LinphoneCore object
  mode | The AVPF mode to use.

## linphone_core_set_avpf_rr_interval()

void linphone_core_set_avpf_rr_interval | ( | LinphoneCore * | core,
|  | int | interval )

Set the avpf report interval in seconds.

This value can be overriden by the proxy config using linphone_proxy_config_set_avpf_rr_interval().

Parameters

  core | LinphoneCore object
  interval | The report interval in seconds

## linphone_core_set_capture_device()

LinphoneStatus linphone_core_set_capture_device | ( | LinphoneCore * | core,
|  | const char * | devid )

Sets the sound device used for capture.

Parameters

  core | LinphoneCore object
  devid | The device name as returned by linphone_core_get_sound_devices()

Returns
  0

## linphone_core_set_device_rotation()

void linphone_core_set_device_rotation | ( | LinphoneCore * | core,
|  | int | rotation )

Tells the core the device current orientation.

This can be used by capture filters on mobile devices to select between portrait/landscape mode and to produce properly oriented images. The exact meaning of the value in rotation if left to each device specific implementations. IOS supported values are 0 for UIInterfaceOrientationPortrait and 270 for UIInterfaceOrientationLandscapeRight.

Parameters

  core | LinphoneCore object
  rotation | The orientation to use

## linphone_core_set_disable_record_on_mute()

void linphone_core_set_disable_record_on_mute | ( | LinphoneCore * | core,
|  | bool_t | disable )

Calling this method with disable=true will cause the microhone to be completely deactivated when muted, when given possible by the implementation on the platform on which liblinphone is running.

Otherwise, sound recording remains active but silence is sent instead of recorded audio. Playback sound will be briefly interrupted while the audio is reconfigured. Currently only implemented for IOS, it will also disable Apple's microphone recording indicator when microphone is muted.

Parameters

  core | LinphoneCore object
  disable | True if you wish to entirely stop the audio recording when muting the microphone.

## linphone_core_set_dns_servers()

void linphone_core_set_dns_servers | ( | LinphoneCore * | core,
|  | const bctbx_list_t * | servers )

Forces liblinphone to use the supplied list of dns servers, instead of system's ones.

Parameters

  core | LinphoneCore object.
  servers | A list of strings containing the IP addresses of DNS servers to be used. Setting to NULL restores default behaviour, which is to use the DNS server list provided by the system. The list is copied internally.

## linphone_core_set_dns_servers_app()

void linphone_core_set_dns_servers_app | ( | LinphoneCore * | core,
|  | const bctbx_list_t * | servers )

Forces liblinphone to use the supplied list of dns servers, instead of system's ones and set dns_set_by_app at true or false according to value of servers list.

Parameters

  core | LinphoneCore object.
  servers | A list of strings containing the IP addresses of DNS servers to be used. Setting to NULL restores default behaviour, which is to use the DNS server list provided by the system. The list is copied internally.

## linphone_core_set_download_bandwidth()

void linphone_core_set_download_bandwidth | ( | LinphoneCore * | core,
|  | int | bandwidth )

Sets maximum available download bandwidth This is IP bandwidth, in kbit/s.

This information is used signaled to other parties during calls (within SDP messages) so that the remote end can have sufficient knowledge to properly configure its audio & video codec output bitrate to not overflow available bandwidth.

Parameters

  core | the LinphoneCore object
  bandwidth | the bandwidth in kbits/s, 0 for infinite

## linphone_core_set_download_ptime()

void linphone_core_set_download_ptime | ( | LinphoneCore * | core,
|  | int | ptime )

Set audio packetization time linphone expects to receive from peer.

A value of zero means that ptime is not specified.

Parameters

  core | the LinphoneCore
  ptime | the download packetization time to set

## linphone_core_set_echo_canceller_filter_name()

void linphone_core_set_echo_canceller_filter_name | ( | LinphoneCore * | core,
|  | const char * | filtername )

Set the name of the mediastreamer2 filter to be used for echo cancelling.

This is for advanced users of the library.

Parameters

  core | LinphoneCore object
  filtername | The name of the mediastreamer2 filter to be used for echo cancelling.

## linphone_core_set_enable_sip_update()

void linphone_core_set_enable_sip_update | ( | const LinphoneCore * | core,
|  | int | value )

Enable or disable the UPDATE method support.

Parameters

  core | LinphoneCore object
  value | Enable or disable it

## linphone_core_set_expected_bandwidth()

void linphone_core_set_expected_bandwidth | ( | LinphoneCore * | core,
|  | int | bandwidth )

Sets expected available upload bandwidth This is IP bandwidth, in kbit/s.

This information is used by liblinphone together with remote side available bandwidth signaled in SDP messages to properly configure audio & video codec's output bitrate.

Parameters

  core | the LinphoneCore object
  bandwidth | the bandwidth in kbits/s, 0 for infinite

## linphone_core_set_media_device()

LinphoneStatus linphone_core_set_media_device | ( | LinphoneCore * | core,
|  | const char * | devid )

Sets the sound device used for media.

Parameters

  core | LinphoneCore object
  devid | The device name as returned by linphone_core_get_sound_devices()

Returns
  0

## linphone_core_set_media_encryption()

LinphoneStatus linphone_core_set_media_encryption | ( | LinphoneCore * | core,
|  | LinphoneMediaEncryption | menc )

Choose the media encryption policy to be used for RTP packets.

Parameters

  core | LinphoneCore object.
  menc | The media encryption policy to be used.

Returns
  0 if successful, any other value otherwise.

## linphone_core_set_media_encryption_mandatory()

void linphone_core_set_media_encryption_mandatory | ( | LinphoneCore * | core,
|  | bool_t | mandatory )

Define whether the configured media encryption is mandatory, if it is and the negotation cannot result in the desired media encryption then the call will fail.

If not an INVITE will be resent with encryption disabled.

Parameters

  core | LinphoneCore object.
  mandatory | TRUE to set it mandatory; FALSE otherwise.

## linphone_core_set_media_level()

MS2_DEPRECATED void linphone_core_set_media_level | ( | LinphoneCore * | core,
|  | int | level )

Set sound media level in 0-100 scale.

Deprecated

  12/12/2018

## linphone_core_set_mic_gain_db()

void linphone_core_set_mic_gain_db | ( | LinphoneCore * | core,
|  | float | level )

Allow to control microphone level: gain in db.

Parameters

  core | LinphoneCore object
  level | The new microphone level

## linphone_core_set_mtu()

void linphone_core_set_mtu | ( | LinphoneCore * | core,
|  | int | mtu )

Sets the maximum transmission unit size in bytes.

This information is useful for sending RTP packets. Default value is 1500.

Parameters

  core | LinphoneCore object
  mtu | The MTU in bytes

## linphone_core_set_native_preview_window_id()

void linphone_core_set_native_preview_window_id | ( | LinphoneCore * | core,
|  | void * | window_id )

Set the native window id where the preview video (local camera) is to be displayed.

This has to be used in conjonction with linphone_core_use_preview_window(). see linphone_core_set_native_video_window_id() for general details about `window_id`

On Android : #org.linphone.mediastream.video.capture.CaptureTextureView is used for linphone_core_set_native_preview_window_id(). It is inherited from #TextureView and takes care of rotating the captured image from the camera and scale it to keep it's ratio.

Parameters

  core | LinphoneCore object
  window_id | The native window id where the preview video is to be displayed.

## linphone_core_set_native_ringing_enabled()

void linphone_core_set_native_ringing_enabled | ( | LinphoneCore * | core,
|  | bool_t | enable )

Sets whether to use the native ringing (Android only).

Parameters

  core | LinphoneCore object
  enable | True to enable native ringing, false otherwise

Deprecated
  16/12/2021 Use linphone_core_enable_native_ringing() instead.

## linphone_core_set_native_video_window_id()

void linphone_core_set_native_video_window_id | ( | LinphoneCore * | core,
|  | void * | window_id )

Set the native video window id where the video is to be displayed.

On Desktop platforms(MacOS, Linux, Windows), the display filter is "MSOGL" by default. That means : If `window_id` is not set or set to LINPHONE_VIDEO_DISPLAY_NONE, then the core will not create its own window, unless the special id LINPHONE_VIDEO_DISPLAY_AUTO is given. This is currently only supported for Linux X11 (#Window type), Windows UWP (#SwapChainPanel type) and Windows (#HWND type).

The CSharp Wrapper on Windows for UWP takes directly a #SwapChainPanel without Marshalling. On other platforms, `window_id` is a #MSOglContextInfo defined in msogl.h of mediastreamer2 There is a special case for Qt : The "MSQOGL" filter must be selected by using linphone_core_set_video_display_filter. Setting window id is only used to stop rendering by passing LINPHONE_VIDEO_DISPLAY_NONE. linphone_core_get_native_video_window_id() returns a #QQuickFramebufferObject::Renderer and linphone_core_create_native_video_window_id() creates one. After a creation, linphone_core_set_native_video_window_id() must be called with the new object.

On mobile operating systems, LINPHONE_VIDEO_DISPLAY_AUTO is not supported and `window_id` depends of the platform : iOS : It is a #UIView. Android : It is a #TextureView.

Parameters

  core | LinphoneCore object
  window_id | The native window id where the remote video is to be displayed.

## linphone_core_set_network_simulator_params()

LinphoneStatus linphone_core_set_network_simulator_params | ( | LinphoneCore * | core,
|  | const OrtpNetworkSimulatorParams * | params )

Set the network simulator parameters.

Liblinphone has the capabability of simulating the effects of a network (latency, lost packets, jitter, max bandwidth). Please refer to the oRTP documentation for the meaning of the parameters of the OrtpNetworkSimulatorParams structure. This function has effect for future calls, but not for currently running calls, though this behavior may be changed in future versions.

Warning
  Due to design of network simulation in oRTP, simulation is applied independently for audio and video stream. This means for example that a bandwidth limit of 250kbit/s will have no effect on an audio stream running at 40kbit/s while a videostream targetting 400kbit/s will be highly affected.

Parameters

  core | the LinphoneCore
  params | the parameters used for the network simulation.

Returns
  0 if successful, -1 otherwise.

## linphone_core_set_nortp_onhold_timeout()

void linphone_core_set_nortp_onhold_timeout | ( | LinphoneCore * | core,
|  | int | seconds )

Sets the no-rtp timeout value in seconds when the call is on hold.

Parameters

  core | LinphoneCore object
  seconds | The no-rtp timeout value to use in seconds when the call is on hold

See also
  linphone_core_get_nortp_on_hold_timeout() for details.

## linphone_core_set_nortp_timeout()

void linphone_core_set_nortp_timeout | ( | LinphoneCore * | core,
|  | int | seconds )

Sets the no-rtp timeout value in seconds.

Parameters

  core | LinphoneCore object
  seconds | The no-rtp timeout value to use in seconds

See also
  linphone_core_get_nortp_timeout() for details.

## linphone_core_set_payload_type_bitrate()

MS2_DEPRECATED void linphone_core_set_payload_type_bitrate | ( | LinphoneCore * | core,
|  | OrtpPayloadType * | pt,
|  | int | bitrate )

Set an explicit bitrate (IP bitrate, not codec bitrate) for a given codec, in kbit/s.

Parameters

  core | the LinphoneCore object
  pt | the payload type to modify.
  bitrate | the IP bitrate in kbit/s.

Deprecated
  31/03/2017 Use linphone_payload_type_set_normal_bitrate() instead.

## linphone_core_set_payload_type_number()

MS2_DEPRECATED void linphone_core_set_payload_type_number | ( | LinphoneCore * | core,
|  | OrtpPayloadType * | pt,
|  | int | number )

Force a number for a payload type.

The LinphoneCore does payload type number assignment automatically. THis function is to be used mainly for tests, in order to override the automatic assignment mechanism.

Deprecated
  13/02/2017 Use linphone_payload_type_set_number() instead

## linphone_core_set_play_file()

void linphone_core_set_play_file | ( | LinphoneCore * | core,
|  | const char * | file )

Sets a wav file to be played when putting somebody on hold, or when files are used instead of soundcards (see linphone_core_set_use_files()).

The file must be a 16 bit linear wav file.

Parameters

  core | LinphoneCore object
  file | The path to the file to be played when putting somebody on hold.

## linphone_core_set_play_level()

MS2_DEPRECATED void linphone_core_set_play_level | ( | LinphoneCore * | core,
|  | int | level )

Set sound playback level in 0-100 scale.

Deprecated

  20/12/2016

## linphone_core_set_playback_device()

LinphoneStatus linphone_core_set_playback_device | ( | LinphoneCore * | core,
|  | const char * | devid )

Sets the sound device used for playback.

Parameters

  core | LinphoneCore object
  devid | The device name as returned by linphone_core_get_sound_devices()

Returns
  0

## linphone_core_set_playback_gain_db()

void linphone_core_set_playback_gain_db | ( | LinphoneCore * | core,
|  | float | level )

Allow to control play level before entering sound card: gain in db.

Parameters

  core | LinphoneCore object
  level | The new play level

## linphone_core_set_preferred_framerate()

void linphone_core_set_preferred_framerate | ( | LinphoneCore * | core,
|  | float | fps )

Set the preferred frame rate for video.

Based on the available bandwidth constraints and network conditions, the video encoder remains free to lower the framerate. There is no warranty that the preferred frame rate be the actual framerate. used during a call. Default value is 0, which means "use encoder's default fps value".

Parameters

  core | the LinphoneCore
  fps | the target frame rate in number of frames per seconds.

## linphone_core_set_preferred_video_definition()

void linphone_core_set_preferred_video_definition | ( | LinphoneCore * | core,
|  | LinphoneVideoDefinition * | video_definition )

Set the preferred video definition for the stream that is captured and sent to the remote party.

All standard video definitions are accepted on the receive path.

Parameters

  core | LinphoneCore object
  video_definition | LinphoneVideoDefinition object

## linphone_core_set_preferred_video_definition_by_name()

void linphone_core_set_preferred_video_definition_by_name | ( | LinphoneCore * | core,
|  | const char * | name )

Sets the preferred video definition by its name.

Call linphone_factory_get_supported_video_definitions() to have a list of supported video definitions.

Parameters

  core | The LinphoneCore object
  name | The name of the definition to set

## linphone_core_set_preferred_video_size()

MS2_DEPRECATED void linphone_core_set_preferred_video_size | ( | LinphoneCore * | core,
|  | MSVideoSize | vsize )

Sets the preferred video size.

This applies only to the stream that is captured and sent to the remote party, since we accept all standard video size on the receive path.

Deprecated
  28/03/2017 Use linphone_core_set_preferred_video_definition() instead.

## linphone_core_set_preferred_video_size_by_name()

MS2_DEPRECATED void linphone_core_set_preferred_video_size_by_name | ( | LinphoneCore * | core,
|  | const char * | name )

Sets the preferred video size by its name.

This is identical to linphone_core_set_preferred_video_size() except that it takes the name of the video resolution as input. Video resolution names are: qcif, svga, cif, vga, 4cif, svga ...

Deprecated
  28/03/2017 Use linphone_core_set_preferred_video_definition_by_name() instead

## linphone_core_set_preview_video_definition()

void linphone_core_set_preview_video_definition | ( | LinphoneCore * | core,
|  | LinphoneVideoDefinition * | video_definition )

Set the video definition for the captured (preview) video.

This method is for advanced usage where a video capture must be set independently of the definition of the stream actually sent through the call. This allows for example to have the preview window in High Definition even if due to bandwidth constraint the sent video definition is small. Using this feature increases the CPU consumption, since a rescaling will be done internally.

Parameters

  core | LinphoneCore object
  video_definition | LinphoneVideoDefinition object

## linphone_core_set_preview_video_definition_by_name()

void linphone_core_set_preview_video_definition_by_name | ( | LinphoneCore * | core,
|  | const char * | name )

- Set the video definition for the captured (preview) video by its name. Call linphone_factory_get_supported_video_definitions() to have a list of supported video definitions. Video resolution names are: qcif, svga, cif, vga, 4cif, svga ...

Parameters

  core | The LinphoneCore object
  name | The name of the definition to set

## linphone_core_set_preview_video_size()

MS2_DEPRECATED void linphone_core_set_preview_video_size | ( | LinphoneCore * | core,
|  | MSVideoSize | vsize )

Sets the video size for the captured (preview) video.

This method is for advanced usage where a video capture must be set independently of the size of the stream actually sent through the call. This allows for example to have the preview window with HD resolution even if due to bandwidth constraint the sent video size is small. Using this feature increases the CPU consumption, since a rescaling will be done internally.

Parameters

  core | the linphone core
  vsize | the video resolution choosed for capuring and previewing. It can be (0,0) to not request any specific preview size and let the core optimize the processing.

Deprecated
  28/03/2017 Use linphone_core_set_preview_video_definition() instead.

## linphone_core_set_preview_video_size_by_name()

MS2_DEPRECATED void linphone_core_set_preview_video_size_by_name | ( | LinphoneCore * | core,
|  | const char * | name )

Sets the preview video size by its name.

See linphone_core_set_preview_video_size() for more information about this feature.

Video resolution names are: qcif, svga, cif, vga, 4cif, svga ...

Deprecated
  28/03/2017 Use linphone_core_set_preview_video_definition_by_name() instead

## linphone_core_set_qrcode_decode_rect()

void linphone_core_set_qrcode_decode_rect | ( | LinphoneCore * | core,
|  | const int | x,
|  | const int | y,
|  | const int | w,
|  | const int | h )

Set the rectangle where the decoder will search a QRCode.

Parameters

  core | LinphoneCore* object
  x | axis
  y | axis
  w | width
  h | height

## linphone_core_set_rec_level()

MS2_DEPRECATED void linphone_core_set_rec_level | ( | LinphoneCore * | core,
|  | int | level )

Set sound capture level in 0-100 scale.

Deprecated

  20/12/2016

## linphone_core_set_record_file()

void linphone_core_set_record_file | ( | LinphoneCore * | core,
|  | const char * | file )

Sets a wav file where incoming stream is to be recorded, when files are used instead of soundcards (see linphone_core_set_use_files()).

This feature is different from call recording (linphone_call_params_set_record_file()) The file will be a 16 bit linear wav file.

Parameters

  core | LinphoneCore object
  file | The path to the file where incoming stream is to be recorded.

## linphone_core_set_remote_ringback_tone()

void linphone_core_set_remote_ringback_tone | ( | LinphoneCore * | core,
|  | const char * | ring )

Specify a ring back tone to be played to far end during incoming calls.

Parameters

  core | LinphoneCore object
  ring | The path to the remote ring back tone to be played.

## linphone_core_set_ring()

void linphone_core_set_ring | ( | LinphoneCore * | core,
|  | const char * | path )

Sets the path to a wav file used for ringing.

The file must be a wav 16bit linear. If null, ringing is disable unless #linphone_core_get_use_native_ringing() is enabled, in which case we use the device ringtone.

Parameters

  core | LinphoneCore object
  path | The path to a wav file to be used for ringing, null to disable or use device ringing depending on #linphone_core_get_use_native_ringing().

## linphone_core_set_ring_during_incoming_early_media()

void linphone_core_set_ring_during_incoming_early_media | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable the ring play during an incoming early media call.

Parameters

  core | LinphoneCore object
  enable | A boolean value telling whether to enable ringing during an incoming early media call.

## linphone_core_set_ring_level()

MS2_DEPRECATED void linphone_core_set_ring_level | ( | LinphoneCore * | core,
|  | int | level )

Set sound ring level in 0-100 scale.

Deprecated
  20/12/2016

## linphone_core_set_ringback()

void linphone_core_set_ringback | ( | LinphoneCore * | core,
|  | const char * | path )

Sets the path to a wav file used for ringing back.

Ringback means the ring that is heard when it's ringing at the remote party. The file must be a wav 16bit linear.

Parameters

  core | LinphoneCore object
  path | The path to a wav file to be used for ringing back.

## linphone_core_set_ringer_device()

LinphoneStatus linphone_core_set_ringer_device | ( | LinphoneCore * | core,
|  | const char * | devid )

Sets the sound device used for ringing.

Parameters

  core | LinphoneCore object
  devid | The device name as returned by linphone_core_get_sound_devices()

Returns
  0

## linphone_core_set_session_expires_enabled()

void linphone_core_set_session_expires_enabled | ( | const LinphoneCore * | core,
|  | bool_t | enabled )

Enable the Session Timers support.

Parameters

  core | LinphoneCore object
  enabled | Enable or disable it

Deprecated
  16/12/2021 Use linphone_core_enable_session_expires() instead.

## linphone_core_set_session_expires_min_value()

void linphone_core_set_session_expires_min_value | ( | const LinphoneCore * | core,
|  | int | min )

Sets the session expires minSE value, forced to a minimum of 90 by default.

Parameters

  core | LinphoneCore object
  min | The minSE value

## linphone_core_set_session_expires_refresher_value()

void linphone_core_set_session_expires_refresher_value | ( | const LinphoneCore * | core,
|  | LinphoneSessionExpiresRefresher | refresher )

Sets the session expires refresher value.

Parameters

  core | LinphoneCore object
  refresher | The LinphoneSessionExpiresRefresher configuration value

## linphone_core_set_session_expires_value()

void linphone_core_set_session_expires_value | ( | const LinphoneCore * | core,
|  | int | expires )

Sets the session expires value, 0 by default.

Parameters

  core | LinphoneCore object
  expires | The session expires value

## linphone_core_set_sip_transport_timeout()

void linphone_core_set_sip_transport_timeout | ( | LinphoneCore * | core,
|  | int | timeout_ms )

Set the SIP transport timeout, which represents the maximum time permitted to establish a connection to a SIP server.

Parameters

  core | LinphoneCore object.
  timeout_ms | The SIP transport timeout in milliseconds.

## linphone_core_set_static_picture()

LinphoneStatus linphone_core_set_static_picture | ( | LinphoneCore * | core,
|  | const char * | path )

Set the path to the image file to stream when "Static picture" is set as the video device.

Parameters

  core | LinphoneCore object.
  path | The path to the image file to use.

## linphone_core_set_static_picture_fps()

LinphoneStatus linphone_core_set_static_picture_fps | ( | LinphoneCore * | core,
|  | float | fps )

Set the frame rate for static picture.

Parameters

  core | LinphoneCore object.
  fps | The new frame rate to use for static picture.

## linphone_core_set_supported_media_encryptions()

void linphone_core_set_supported_media_encryptions | ( | LinphoneCore * | core,
|  | const bctbx_list_t * | encs )

Sets the supported media encryptions.

Parameters

  core | LinphoneCore object.
  encs | The supported media encryptions. Elements of the list are pointers to the values of enum LinphoneMediaEncryption.

## linphone_core_set_text_codecs()

MS2_DEPRECATED LinphoneStatus linphone_core_set_text_codecs | ( | LinphoneCore * | core,
|  | bctbx_list_t * | codecs )

Sets the list of text codecs.

Parameters

  core | The LinphoneCore object
  codecs | The new list of codecs. The list is taken by the LinphoneCore, thus the application should not free it.

Returns
  0

Deprecated

  31/03/2017 Use linphone_core_set_text_payload_types() instead.

## linphone_core_set_text_payload_types()

void linphone_core_set_text_payload_types | ( | LinphoneCore * | core,
|  | const bctbx_list_t * | payload_types )

Redefine the list of the available payload types.

Parameters

  core | The core.
  payload_types | The new list of payload types. The core does not take ownership on it.

## linphone_core_set_text_port_range()

void linphone_core_set_text_port_range | ( | LinphoneCore * | core,
|  | int | min_port,
|  | int | max_port )

Sets the UDP port range from which to randomly select the port used for text streaming.

Parameters

  core | LinphoneCore object
  min_port | The lower bound of the text port range to use
  max_port | The upper bound of the text port range to use

## linphone_core_set_tone()

void linphone_core_set_tone | ( | LinphoneCore * | core,
|  | LinphoneToneID | tone_id,
|  | const char * | audiofile )

Assign an audio file to be played as a specific tone id.

This function typically allows to customize telephony tones per country.

Parameters

  core | the core
  tone_id | the #LinphoneToneId
  audiofile | a wav file to be played or NULL to disable it.

## linphone_core_set_upload_bandwidth()

void linphone_core_set_upload_bandwidth | ( | LinphoneCore * | core,
|  | int | bandwidth )

Sets maximum available upload bandwidth This is IP bandwidth, in kbit/s.

This information is used by liblinphone together with remote side available bandwidth signaled in SDP messages to properly configure audio & video codec's output bitrate.

Parameters

  core | the LinphoneCore object
  bandwidth | the bandwidth in kbits/s, 0 for infinite

## linphone_core_set_upload_ptime()

void linphone_core_set_upload_ptime | ( | LinphoneCore * | core,
|  | int | ptime )

Set audio packetization time linphone will send (in absence of requirement from peer) A value of 0 stands for the current codec default packetization time.

Parameters

  core | the LinphoneCore
  ptime | the upload packetization time to set

## linphone_core_set_use_files()

void linphone_core_set_use_files | ( | LinphoneCore * | core,
|  | bool_t | yesno )

Ask the core to stream audio from and to files, instead of using the soundcard.

Parameters

  core | LinphoneCore object
  yesno | A boolean value asking to stream audio from and to files or not.

## linphone_core_set_use_info_for_dtmf()

void linphone_core_set_use_info_for_dtmf | ( | LinphoneCore * | core,
|  | bool_t | use_info )

Sets whether SIP INFO is to be used to send digits.

Parameters

  core | LinphoneCore object
  use_info | A boolean value telling whether to use SIP INFO to send digits

## linphone_core_set_use_rfc2833_for_dtmf()

void linphone_core_set_use_rfc2833_for_dtmf | ( | LinphoneCore * | core,
|  | bool_t | use_rfc2833 )

Sets whether RFC2833 is to be used to send digits.

Parameters

  core | LinphoneCore object
  use_rfc2833 | A boolean value telling whether to use RFC2833 to send digits

## linphone_core_set_video_activation_policy()

void linphone_core_set_video_activation_policy | ( | LinphoneCore * | core,
|  | const LinphoneVideoActivationPolicy * | policy )

Sets the default policy for video.

This policy defines whether:

- video shall be initiated by default for outgoing calls
- video shall be accepted by default for incoming calls

Parameters

  core | the LinphoneCore object
  policy | The LinphoneVideoActivationPolicy to use

## linphone_core_set_video_codec_priority_policy()

void linphone_core_set_video_codec_priority_policy | ( | LinphoneCore * | core,
|  | LinphoneCodecPriorityPolicy | policy )

Set the priority policy for video codecs (payload types).

Since version 5.3, the default value is LinphoneCodecPriorityPolicyAuto unless the core's configuration file describes a list of video payload type to use. This is to preserve backward compatibility for upgrading applications. See LinphoneCodecPriorityPolicy for more details.

Parameters

  core | the core
  policy | the LinphoneCodecPriorityPolicy to apply

## linphone_core_set_video_codecs()

MS2_DEPRECATED LinphoneStatus linphone_core_set_video_codecs | ( | LinphoneCore * | core,
|  | bctbx_list_t * | codecs )

Sets the list of video codecs.

Parameters

  core | The LinphoneCore object
  codecs | The new list of codecs. The list is taken by the LinphoneCore, thus the application should not free it.

Returns
  0

Deprecated

  31/03/2017 Use linphone_core_set_video_payload_types() instead.

## linphone_core_set_video_device()

LinphoneStatus linphone_core_set_video_device | ( | LinphoneCore * | core,
|  | const char * | id )

Sets the active video device.

Parameters

  core | LinphoneCore object
  id | The name of the video device to use as returned by linphone_core_get_video_devices()

## linphone_core_set_video_display_filter()

void linphone_core_set_video_display_filter | ( | LinphoneCore * | core,
|  | const char * | filter_name )

Set the name of the mediastreamer2 filter to be used for rendering video.

This is for advanced users of the library, mainly to workaround hardware/driver bugs.

Parameters

  core | the LinphoneCore
  filter_name | the filter name to use or NULL to use default.

## linphone_core_set_video_jittcomp()

void linphone_core_set_video_jittcomp | ( | LinphoneCore * | core,
|  | int | milliseconds )

Sets the nominal video jitter buffer size in milliseconds.

The value takes effect immediately for all running and pending calls, if any. A value of 0 disables the jitter buffer.

Parameters

  core | the LinphoneCore
  milliseconds | the jitter buffer size in milliseconds

## linphone_core_set_video_multicast_addr()

LinphoneStatus linphone_core_set_video_multicast_addr | ( | LinphoneCore * | core,
|  | const char * | ip )

Use to set multicast address to be used for video stream.

Parameters

  core | LinphoneCore
  ip | an ipv4/6 multicast address.

Returns
  0 in case of success

## linphone_core_set_video_multicast_ttl()

LinphoneStatus linphone_core_set_video_multicast_ttl | ( | LinphoneCore * | core,
|  | int | ttl )

Use to set multicast ttl to be used for video stream.

Parameters

  core | LinphoneCore
  ttl | value or -1 if not used. [0..255] default value is 1

Returns
  0 in case of success

## linphone_core_set_video_payload_types()

void linphone_core_set_video_payload_types | ( | LinphoneCore * | core,
|  | const bctbx_list_t * | payload_types )

Redefine the list of the available video payload types.

Calling this function if the video codec priority policy is LinphoneCodecPriorityPolicyAuto turns video codec priority policy to basic scheme, since application is not supposed to control the order of video codecs when LinphoneCodecPriorityPolicyAuto is selected, by definition. (see linphone_core_set_video_codec_priority_policy() )

Parameters

  core | The core.
  payload_types | The new list of codecs. The core does not take ownership on it.

## linphone_core_set_video_policy()

MS2_DEPRECATED void linphone_core_set_video_policy | ( | LinphoneCore * | core,
|  | const LinphoneVideoPolicy * | policy )

Sets the default policy for video.

This policy defines whether:

- video shall be initiated by default for outgoing calls
- video shall be accepter by default for incoming calls

Parameters

  core | LinphoneCore object
  policy | The video policy to use

Deprecated
  19/04/2017 Use linphone_video_activation_policy_set_automatically_accept instead

## linphone_core_set_video_port_range()

void linphone_core_set_video_port_range | ( | LinphoneCore * | core,
|  | int | min_port,
|  | int | max_port )

Sets the UDP port range from which to randomly select the port used for video streaming.

Parameters

  core | LinphoneCore object
  min_port | The lower bound of the video port range to use
  max_port | The upper bound of the video port range to use

## linphone_core_set_video_preset()

void linphone_core_set_video_preset | ( | LinphoneCore * | core,
|  | const char * | preset )

Set the video preset to be used for video calls.

Parameters

  core | LinphoneCore object
  preset | The name of the video preset to be used (can be NULL to use the default video preset).

## linphone_core_set_zrtp_key_agreement_suites()

void linphone_core_set_zrtp_key_agreement_suites | ( | LinphoneCore * | core,
|  | bctbx_list_t * | key_agreements )

Redefine the list of prefered ZRTP key agreement algorithms.

Parameters

  core | The core.
  key_agreements | The new list of key agreements algorithms, in order of preference. The core does not take ownership on it. The setting accepts a maximum of 7 algorithms, if the list is longer, only the first 7 available algorithms are selected

## linphone_core_sound_device_can_capture()

MS2_DEPRECATED bool_t linphone_core_sound_device_can_capture | ( | LinphoneCore * | core,
|  | const char * | device )

Tells whether a specified sound device can capture sound.

Parameters

  core | LinphoneCore object
  device | the device name as returned by linphone_core_get_sound_devices()

Returns
  A boolean value telling whether the specified sound device can capture sound

Deprecated
  08/07/2020 use LinphoneAudioDevice API instead()

## linphone_core_sound_device_can_playback()

MS2_DEPRECATED bool_t linphone_core_sound_device_can_playback | ( | LinphoneCore * | core,
|  | const char * | device )

Tells whether a specified sound device can play sound.

Parameters

  core | LinphoneCore object
  device | the device name as returned by linphone_core_get_sound_devices()

Returns
  A boolean value telling whether the specified sound device can play sound

Deprecated
  08/07/2020 use LinphoneAudioDevice API instead()

## linphone_core_stop_dtmf()

void linphone_core_stop_dtmf | ( | LinphoneCore * | core | ) |

Stops playing a dtmf started by linphone_core_play_dtmf().

Parameters

  core | LinphoneCore object

## linphone_core_stop_ringing()

void linphone_core_stop_ringing | ( | LinphoneCore * | core | ) |

Whenever the liblinphone is playing a ring to advertise an incoming call or ringback of an outgoing call, this function stops the ringing.

Typical use is to stop ringing when the user requests to ignore the call.

Parameters

  core | LinphoneCore object

## linphone_core_tcap_lines_merging_enabled()

bool_t linphone_core_tcap_lines_merging_enabled | ( | const LinphoneCore * | core | ) |

Check if tcap lines are going to the merged if the capability negotiation (RFC5939) is supported or not.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if tcap lines with consecutive indexes are going to be merged; FALSE otherwise.

## linphone_core_use_preview_window()

void linphone_core_use_preview_window | ( | LinphoneCore * | core,
|  | bool_t | yesno )

Tells the core to use a separate window for local camera preview video, instead of inserting local view within the remote video window.

Parameters

  core | LinphoneCore object.
  yesno | TRUE to use a separate window, FALSE to insert the preview in the remote video window.

## linphone_core_video_adaptive_jittcomp_enabled()

bool_t linphone_core_video_adaptive_jittcomp_enabled | ( | LinphoneCore * | core | ) |

Tells whether the video adaptive jitter compensation is enabled.

Parameters

  core | LinphoneCore object

Returns
  TRUE if the video adaptive jitter compensation is enabled, FALSE otherwise.

## linphone_core_video_capture_enabled()

bool_t linphone_core_video_capture_enabled | ( | LinphoneCore * | core | ) |

Tells whether video capture is enabled.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if video capture is enabled, FALSE if disabled.

## linphone_core_video_display_enabled()

bool_t linphone_core_video_display_enabled | ( | LinphoneCore * | core | ) |

Tells whether video display is enabled.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if video display is enabled, FALSE if disabled.

## linphone_core_video_enabled()

bool_t linphone_core_video_enabled | ( | LinphoneCore * | core | ) |

Returns TRUE if either capture or display is enabled, FALSE otherwise.

same as ( linphone_core_video_capture_enabled() | linphone_core_video_display_enabled() )

Parameters

  core | the LinphoneCore

Returns
  TRUE if either capture or display is enabled, FALSE otherwise.

## linphone_core_video_multicast_enabled()

bool_t linphone_core_video_multicast_enabled | ( | const LinphoneCore * | core | ) |

Use to get multicast state of video stream.

Parameters

  core | LinphoneCore

Returns
  TRUE if subsequent calls will propose multicast ip set by linphone_core_set_video_multicast_addr()

## linphone_core_video_preview_enabled()

bool_t linphone_core_video_preview_enabled | ( | const LinphoneCore * | core | ) |

Tells whether video preview is enabled.

Parameters

  core | LinphoneCore object

Returns
  A boolean value telling whether video preview is enabled

## linphone_core_zero_rtp_port_for_stream_inactive_enabled()

bool_t linphone_core_zero_rtp_port_for_stream_inactive_enabled | ( | const LinphoneCore * | core | ) |

Check if RTP port is set to 0 when a stream is inactive.

Parameters

  core | LinphoneCore object.

Returns
  TRUE if the RTP port is set to 0 if the stream direction is inactive; FALSE otherwise.

## linphone_media_direction_to_string()

const char * linphone_media_direction_to_string | ( | LinphoneMediaDirection | media_direction | ) |

Convert enum member to string.

Parameters

  media_direction | the LinphoneMediaDirection to convert

Returns
  a string representation of the LinphoneMediaDirection

## linphone_media_encryption_from_string()

int linphone_media_encryption_from_string | ( | const char * | value | ) |

Convert string to enum member.

Parameters

  value | string representation of the LinphoneMediaEncryption to convert

Returns
  integer value of the media_encryption in enum LinphoneMediaEncryption or -1 if it is not found

## linphone_media_encryption_to_string()

const char * linphone_media_encryption_to_string | ( | LinphoneMediaEncryption | media_encryption | ) |

Convert enum member to string.

Parameters

  media_encryption | the LinphoneMediaEncryption to convert

Returns
  a string representation of the LinphoneMediaEncryption

## linphone_payload_type_clone()

LinphonePayloadType * linphone_payload_type_clone | ( | const LinphonePayloadType * | orig | ) |

Instantiates a new payload type with values from source.

Parameters

  [in] | orig | The LinphonePayloadType object to be cloned.

Returns
  The newly created LinphonePayloadType object.

## linphone_payload_type_enable()

int linphone_payload_type_enable | ( | LinphonePayloadType * | payload_type,
|  | bool_t | enabled )

Enable/disable a payload type.

Parameters

  payload_type | The payload type to enable/disable.
  enabled | Set TRUE for enabling and FALSE for disabling.

Returns
  0 for success, -1 for failure.

## linphone_payload_type_enabled()

bool_t linphone_payload_type_enabled | ( | const LinphonePayloadType * | payload_type | ) |

Check whether a palyoad type is enabled.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  TRUE if enabled, FALSE if disabled.

## linphone_payload_type_get_channels()

int linphone_payload_type_get_channels | ( | const LinphonePayloadType * | payload_type | ) |

Get the number of channels.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The number of channels.

## linphone_payload_type_get_clock_rate()

int linphone_payload_type_get_clock_rate | ( | const LinphonePayloadType * | payload_type | ) |

Get the clock rate of a payload type.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The clock rate in Hz.

## linphone_payload_type_get_description()

const char * linphone_payload_type_get_description | ( | const LinphonePayloadType * | payload_type | ) |

Return a string describing a payload type.

The format of the string is <mime_type>/<clock_rate>/<channels>.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The description of the payload type.

## linphone_payload_type_get_encoder_description()

const char * linphone_payload_type_get_encoder_description | ( | const LinphonePayloadType * | payload_type | ) |

Get a description of the encoder used to provide a payload type.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The description of the encoder. Can be NULL if the payload type is not supported by Mediastreamer2.

## linphone_payload_type_get_mime_type()

const char * linphone_payload_type_get_mime_type | ( | const LinphonePayloadType * | payload_type | ) |

Get the mime type.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The mime type.

## linphone_payload_type_get_normal_bitrate()

int linphone_payload_type_get_normal_bitrate | ( | const LinphonePayloadType * | payload_type | ) |

Get the normal bitrate in bits/s.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The normal bitrate in bits/s or -1 if an error has occured.

## linphone_payload_type_get_number()

int linphone_payload_type_get_number | ( | const LinphonePayloadType * | payload_type | ) |

Returns the payload type number assigned for this codec.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The number of the payload type.

## linphone_payload_type_get_recv_fmtp()

const char * linphone_payload_type_get_recv_fmtp | ( | const LinphonePayloadType * | payload_type | ) |

Get the format parameters for incoming streams.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The format parameters as string.

## linphone_payload_type_get_send_fmtp()

const char * linphone_payload_type_get_send_fmtp | ( | const LinphonePayloadType * | payload_type | ) |

Get the format parameters for outgoing streams.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  The format parameters as string.

## linphone_payload_type_get_type()

int linphone_payload_type_get_type | ( | const LinphonePayloadType * | payload_type | ) |

Get the type of a payload type.

Parameters

  payload_type | The payload type.

Returns
  The type of the payload e.g. PAYLOAD_AUDIO_CONTINUOUS or PAYLOAD_VIDEO.

## linphone_payload_type_is_usable()

bool_t linphone_payload_type_is_usable | ( | const LinphonePayloadType * | payload_type | ) |

Check whether the payload is usable according the bandwidth targets set in the core.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  TRUE if the payload type is usable.

## linphone_payload_type_is_vbr()

bool_t linphone_payload_type_is_vbr | ( | const LinphonePayloadType * | payload_type | ) |

Tells whether the specified payload type represents a variable bitrate codec.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  TRUE if the payload type represents a VBR codec, FALSE instead.

## linphone_payload_type_ref()

LinphonePayloadType * linphone_payload_type_ref | ( | LinphonePayloadType * | payload_type | ) |

Take a reference on a LinphonePayloadType.

Parameters

  payload_type | the LinphonePayloadType object

Returns
  the same LinphonePayloadType object

## linphone_payload_type_set_normal_bitrate()

void linphone_payload_type_set_normal_bitrate | ( | LinphonePayloadType * | payload_type,
|  | int | bitrate )

Change the normal bitrate of a payload type.

Parameters

  payload_type | the LinphonePayloadType object
  bitrate | The new bitrate in kbits/s.

## linphone_payload_type_set_number()

void linphone_payload_type_set_number | ( | LinphonePayloadType * | payload_type,
|  | int | number )

Force a number for a payload type.

The LinphoneCore does payload type number assignment automatically. This function is mainly to be used for tests, in order to override the automatic assignment mechanism.

Parameters

  payload_type | the LinphonePayloadType object
  number | The number to assign to the payload type.

## linphone_payload_type_set_recv_fmtp()

void linphone_payload_type_set_recv_fmtp | ( | LinphonePayloadType * | payload_type,
|  | const char * | recv_fmtp )

Set the format parameters for incoming streams.

Parameters

  payload_type | the LinphonePayloadType object
  recv_fmtp | The new format parameters as string. The string will be copied.

## linphone_payload_type_set_send_fmtp()

void linphone_payload_type_set_send_fmtp | ( | LinphonePayloadType * | payload_type,
|  | const char * | send_fmtp )

Set the format parameters for outgoing streams.

Parameters

  payload_type | the LinphonePayloadType object
  send_fmtp | The new format parameters as string. The string will be copied.

## linphone_payload_type_unref()

void linphone_payload_type_unref | ( | LinphonePayloadType * | payload_type | ) |

Release a reference on a LinphonePayloadType.

Parameters

  payload_type | the LinphonePayloadType object

## linphone_payload_type_weak_equals()

bool_t linphone_payload_type_weak_equals | ( | const LinphonePayloadType * | payload_type,
|  | const LinphonePayloadType * | other_payload_type )

Compare two payload types, and returns true if they are equal.

Parameters (fmtp strings) are not compared, hence the name 'weak equals'.

Parameters

  payload_type | the LinphonePayloadType object
  other_payload_type | another LinphonePayloadType object

Returns
  TRUE if the payload types are "almost" equals.

## linphone_video_activation_policy_get_automatically_accept()

bool_t linphone_video_activation_policy_get_automatically_accept | ( | const LinphoneVideoActivationPolicy * | policy | ) |

Gets the value for the automatically accept video policy.

Parameters

  policy | the LinphoneVideoActivationPolicy object

Returns
  whether or not to automatically accept video requests is enabled

## linphone_video_activation_policy_get_automatically_initiate()

bool_t linphone_video_activation_policy_get_automatically_initiate | ( | const LinphoneVideoActivationPolicy * | policy | ) |

Gets the value for the automatically initiate video policy.

Parameters

  policy | the LinphoneVideoActivationPolicy object

Returns
  whether or not to automatically initiate video calls is enabled

## linphone_video_activation_policy_get_user_data()

void * linphone_video_activation_policy_get_user_data | ( | const LinphoneVideoActivationPolicy * | policy | ) |

Gets the user data in the LinphoneVideoActivationPolicy object.

Parameters

  policy | the LinphoneVideoActivationPolicy

Returns
  the user data

## linphone_video_activation_policy_ref()

LinphoneVideoActivationPolicy * linphone_video_activation_policy_ref | ( | LinphoneVideoActivationPolicy * | policy | ) |

Increment refcount.

Parameters

  policy | LinphoneVideoActivationPolicy object

Returns
  the same LinphoneVideoActivationPolicy object

## linphone_video_activation_policy_set_automatically_accept()

void linphone_video_activation_policy_set_automatically_accept | ( | LinphoneVideoActivationPolicy * | policy,
|  | bool_t | enable )

Sets the value for the automatically accept video policy.

Parameters

  policy | the LinphoneVideoActivationPolicy object
  enable | whether or not to enable automatically accept video requests

## linphone_video_activation_policy_set_automatically_initiate()

void linphone_video_activation_policy_set_automatically_initiate | ( | LinphoneVideoActivationPolicy * | policy,
|  | bool_t | enable )

Sets the value for the automatically initiate video policy.

Parameters

  policy | the LinphoneVideoActivationPolicy object
  enable | whether or not to enable automatically initiate video calls

## linphone_video_activation_policy_set_user_data()

void linphone_video_activation_policy_set_user_data | ( | LinphoneVideoActivationPolicy * | policy,
|  | void * | user_data )

Sets the user data in the LinphoneVideoActivationPolicy object.

Parameters

  policy | the LinphoneVideoActivationPolicy object
  user_data | the user data

## linphone_video_activation_policy_unref()

void linphone_video_activation_policy_unref | ( | LinphoneVideoActivationPolicy * | policy | ) |

Decrement refcount and possibly free the object.

Parameters

  policy | LinphoneVideoActivationPolicy object

## linphone_video_definition_clone()

LinphoneVideoDefinition * linphone_video_definition_clone | ( | const LinphoneVideoDefinition * | video_definition | ) |

Clone a video definition.

Parameters

  video_definition | LinphoneVideoDefinition object to be cloned

Returns
  The new clone of the video definition

## linphone_video_definition_equals()

bool_t linphone_video_definition_equals | ( | const LinphoneVideoDefinition * | video_definition1,
|  | const LinphoneVideoDefinition * | video_definition2 )

Tells whether two LinphoneVideoDefinition objects are equal (the widths and the heights are the same but can be switched).

Parameters

  video_definition1 | LinphoneVideoDefinition object
  video_definition2 | LinphoneVideoDefinition object

Returns
  A boolean value telling whether the two LinphoneVideoDefinition objects are equal.

## linphone_video_definition_get_height()

unsigned int linphone_video_definition_get_height | ( | const LinphoneVideoDefinition * | video_definition | ) |

Get the height of the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object

Returns
  The height of the video definition

## linphone_video_definition_get_name()

const char * linphone_video_definition_get_name | ( | const LinphoneVideoDefinition * | video_definition | ) |

Get the name of the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object

Returns
  The name of the video definition

## linphone_video_definition_get_user_data()

void * linphone_video_definition_get_user_data | ( | const LinphoneVideoDefinition * | video_definition | ) |

Retrieve the user pointer associated with the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object.

Returns
  The user pointer associated with the video definition.

## linphone_video_definition_get_width()

unsigned int linphone_video_definition_get_width | ( | const LinphoneVideoDefinition * | video_definition | ) |

Get the width of the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object

Returns
  The width of the video definition

## linphone_video_definition_is_undefined()

bool_t linphone_video_definition_is_undefined | ( | const LinphoneVideoDefinition * | video_definition | ) |

Tells whether a LinphoneVideoDefinition is undefined.

Parameters

  video_definition | LinphoneVideoDefinition object

Returns
  A boolean value telling whether the LinphoneVideoDefinition is undefined.

## linphone_video_definition_ref()

LinphoneVideoDefinition * linphone_video_definition_ref | ( | LinphoneVideoDefinition * | video_definition | ) |

Acquire a reference to the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object.

Returns
  The same LinphoneVideoDefinition object.

## linphone_video_definition_set_definition()

void linphone_video_definition_set_definition | ( | LinphoneVideoDefinition * | video_definition,
|  | unsigned int | width,
|  | unsigned int | height )

Set the width and the height of the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object
  width | The width of the video definition
  height | The height of the video definition

## linphone_video_definition_set_height()

void linphone_video_definition_set_height | ( | LinphoneVideoDefinition * | video_definition,
|  | unsigned int | height )

Set the height of the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object
  height | The height of the video definition

## linphone_video_definition_set_name()

void linphone_video_definition_set_name | ( | LinphoneVideoDefinition * | video_definition,
|  | const char * | name )

Set the name of the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object
  name | The name of the video definition

## linphone_video_definition_set_user_data()

void linphone_video_definition_set_user_data | ( | LinphoneVideoDefinition * | video_definition,
|  | void * | user_data )

Assign a user pointer to the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object.
  user_data | The user pointer to associate with the video definition.

## linphone_video_definition_set_width()

void linphone_video_definition_set_width | ( | LinphoneVideoDefinition * | video_definition,
|  | unsigned int | width )

Set the width of the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object
  width | The width of the video definition

## linphone_video_definition_strict_equals()

bool_t linphone_video_definition_strict_equals | ( | const LinphoneVideoDefinition * | video_definition1,
|  | const LinphoneVideoDefinition * | video_definition2 )

Tells whether two LinphoneVideoDefinition objects are strictly equal (the widths are the same and the heights are the same).

Parameters

  video_definition1 | LinphoneVideoDefinition object
  video_definition2 | LinphoneVideoDefinition object

Returns
  A boolean value telling whether the two LinphoneVideoDefinition objects are strictly equal.

## linphone_video_definition_unref()

void linphone_video_definition_unref | ( | LinphoneVideoDefinition * | video_definition | ) |

Release reference to the video definition.

Parameters

  video_definition | LinphoneVideoDefinition object.